import { FotoFestival } from "./FotoFestival.mjs";
export class FotoUtil {
  static DAY_ZHAI_GUAN_YIN = ["1-8", "2-7", "2-9", "2-19", "3-3", "3-6", "3-13", "4-22", "5-3", "5-17", "6-16", "6-18", "6-19", "6-23", "7-13", "8-16", "9-19", "9-23", "10-2", "11-19", "11-24", "12-25"];
  static XIU_27 = [
    "{xx.jiao}",
    "{xx.kang}",
    "{xx.di}",
    "{xx.fang}",
    "{xx.xin}",
    "{xx.tail}",
    "{xx.ji}",
    "{xx.dou}",
    "{xx.nv}",
    "{xx.xu}",
    "{xx.wei}",
    "{xx.shi}",
    "{xx.qiang}",
    "{xx.kui}",
    "{xx.lou}",
    "{xx.vei}",
    "{xx.mao}",
    "{xx.bi}",
    "{xx.zi}",
    "{xx.can}",
    "{xx.jing}",
    "{xx.gui}",
    "{xx.liu}",
    "{xx.xing}",
    "{xx.zhang}",
    "{xx.yi}",
    "{xx.zhen}"
  ];
  static XIU_OFFSET = [11, 13, 15, 17, 19, 21, 24, 0, 2, 4, 7, 9];
  static _DJ = "\u72AF\u8005\u593A\u7EAA";
  static _JS = "\u72AF\u8005\u51CF\u5BFF";
  static _SS = "\u72AF\u8005\u635F\u5BFF";
  static _XL = "\u72AF\u8005\u524A\u7984\u593A\u7EAA";
  static _JW = "\u72AF\u8005\u4E09\u5E74\u5185\u592B\u5987\u4FF1\u4EA1";
  static _Y = new FotoFestival("\u6768\u516C\u5FCC");
  static _T = new FotoFestival("\u56DB\u5929\u738B\u5DE1\u884C", "", true);
  static _D = new FotoFestival("\u6597\u964D", FotoUtil._DJ, true);
  static _S = new FotoFestival("\u6708\u6714", FotoUtil._DJ, true);
  static _W = new FotoFestival("\u6708\u671B", FotoUtil._DJ, true);
  static _H = new FotoFestival("\u6708\u6666", FotoUtil._JS, true);
  static _L = new FotoFestival("\u96F7\u658B\u65E5", FotoUtil._JS, true);
  static _J = new FotoFestival("\u4E5D\u6BD2\u65E5", "\u72AF\u8005\u592D\u4EA1\uFF0C\u5947\u7978\u4E0D\u6D4B");
  static _R = new FotoFestival("\u4EBA\u795E\u5728\u9634", "\u72AF\u8005\u5F97\u75C5", true, "\u5B9C\u5148\u4E00\u65E5\u5373\u6212");
  static _M = new FotoFestival("\u53F8\u547D\u594F\u4E8B", FotoUtil._JS, true, "\u5982\u6708\u5C0F\uFF0C\u5373\u6212\u5EFF\u4E5D");
  static _HH = new FotoFestival("\u6708\u6666", FotoUtil._JS, true, "\u5982\u6708\u5C0F\uFF0C\u5373\u6212\u5EFF\u4E5D");
  static FESTIVAL = {
    "1-1": [new FotoFestival("\u5929\u814A\uFF0C\u7389\u5E1D\u6821\u4E16\u4EBA\u795E\u6C14\u7984\u547D", FotoUtil._XL), FotoUtil._S],
    "1-3": [new FotoFestival("\u4E07\u795E\u90FD\u4F1A", FotoUtil._DJ), FotoUtil._D],
    "1-5": [new FotoFestival("\u4E94\u865A\u5FCC")],
    "1-6": [new FotoFestival("\u516D\u8017\u5FCC"), FotoUtil._L],
    "1-7": [new FotoFestival("\u4E0A\u4F1A\u65E5", FotoUtil._SS)],
    "1-8": [new FotoFestival("\u4E94\u6BBF\u960E\u7F57\u5929\u5B50\u8BDE", FotoUtil._DJ), FotoUtil._T],
    "1-9": [new FotoFestival("\u7389\u7687\u4E0A\u5E1D\u8BDE", FotoUtil._DJ)],
    "1-13": [FotoUtil._Y],
    "1-14": [new FotoFestival("\u4E09\u5143\u964D", FotoUtil._JS), FotoUtil._T],
    "1-15": [new FotoFestival("\u4E09\u5143\u964D", FotoUtil._JS), new FotoFestival("\u4E0A\u5143\u795E\u4F1A", FotoUtil._DJ), FotoUtil._W, FotoUtil._T],
    "1-16": [new FotoFestival("\u4E09\u5143\u964D", FotoUtil._JS)],
    "1-19": [new FotoFestival("\u957F\u6625\u771F\u4EBA\u8BDE")],
    "1-23": [new FotoFestival("\u4E09\u5C38\u795E\u594F\u4E8B"), FotoUtil._T],
    "1-25": [FotoUtil._H, new FotoFestival("\u5929\u5730\u4ED3\u5F00\u65E5", "\u72AF\u8005\u635F\u5BFF\uFF0C\u5B50\u5E26\u75BE")],
    "1-27": [FotoUtil._D],
    "1-28": [FotoUtil._R],
    "1-29": [FotoUtil._T],
    "1-30": [FotoUtil._HH, FotoUtil._M, FotoUtil._T],
    "2-1": [new FotoFestival("\u4E00\u6BBF\u79E6\u5E7F\u738B\u8BDE", FotoUtil._DJ), FotoUtil._S],
    "2-2": [new FotoFestival("\u4E07\u795E\u90FD\u4F1A", FotoUtil._DJ), new FotoFestival("\u798F\u5FB7\u571F\u5730\u6B63\u795E\u8BDE", "\u72AF\u8005\u5F97\u7978")],
    "2-3": [new FotoFestival("\u6587\u660C\u5E1D\u541B\u8BDE", FotoUtil._XL), FotoUtil._D],
    "2-6": [new FotoFestival("\u4E1C\u534E\u5E1D\u541B\u8BDE"), FotoUtil._L],
    "2-8": [new FotoFestival("\u91CA\u8FE6\u725F\u5C3C\u4F5B\u51FA\u5BB6", FotoUtil._DJ), new FotoFestival("\u4E09\u6BBF\u5B8B\u5E1D\u738B\u8BDE", FotoUtil._DJ), new FotoFestival("\u5F20\u5927\u5E1D\u8BDE", FotoUtil._DJ), FotoUtil._T],
    "2-11": [FotoUtil._Y],
    "2-14": [FotoUtil._T],
    "2-15": [new FotoFestival("\u91CA\u8FE6\u725F\u5C3C\u4F5B\u6D85\u69C3", FotoUtil._XL), new FotoFestival("\u592A\u4E0A\u8001\u541B\u8BDE", FotoUtil._XL), new FotoFestival("\u6708\u671B", FotoUtil._XL, true), FotoUtil._T],
    "2-17": [new FotoFestival("\u4E1C\u65B9\u675C\u5C06\u519B\u8BDE")],
    "2-18": [new FotoFestival("\u56DB\u6BBF\u4E94\u5B98\u738B\u8BDE", FotoUtil._XL), new FotoFestival("\u81F3\u5723\u5148\u5E08\u5B54\u5B50\u8BB3\u8FB0", FotoUtil._XL)],
    "2-19": [new FotoFestival("\u89C2\u97F3\u5927\u58EB\u8BDE", FotoUtil._DJ)],
    "2-21": [new FotoFestival("\u666E\u8D24\u83E9\u8428\u8BDE")],
    "2-23": [FotoUtil._T],
    "2-25": [FotoUtil._H],
    "2-27": [FotoUtil._D],
    "2-28": [FotoUtil._R],
    "2-29": [FotoUtil._T],
    "2-30": [FotoUtil._HH, FotoUtil._M, FotoUtil._T],
    "3-1": [new FotoFestival("\u4E8C\u6BBF\u695A\u6C5F\u738B\u8BDE", FotoUtil._DJ), FotoUtil._S],
    "3-3": [new FotoFestival("\u7384\u5929\u4E0A\u5E1D\u8BDE", FotoUtil._DJ), FotoUtil._D],
    "3-6": [FotoUtil._L],
    "3-8": [new FotoFestival("\u516D\u6BBF\u535E\u57CE\u738B\u8BDE", FotoUtil._DJ), FotoUtil._T],
    "3-9": [new FotoFestival("\u725B\u9B3C\u795E\u51FA", "\u72AF\u8005\u4EA7\u6076\u80CE"), FotoUtil._Y],
    "3-12": [new FotoFestival("\u4E2D\u592E\u4E94\u9053\u8BDE")],
    "3-14": [FotoUtil._T],
    "3-15": [new FotoFestival("\u660A\u5929\u4E0A\u5E1D\u8BDE", FotoUtil._DJ), new FotoFestival("\u7384\u575B\u8BDE", FotoUtil._DJ), FotoUtil._W, FotoUtil._T],
    "3-16": [new FotoFestival("\u51C6\u63D0\u83E9\u8428\u8BDE", FotoUtil._DJ)],
    "3-19": [new FotoFestival("\u4E2D\u5CB3\u5927\u5E1D\u8BDE"), new FotoFestival("\u540E\u571F\u5A18\u5A18\u8BDE"), new FotoFestival("\u4E09\u8305\u964D")],
    "3-20": [new FotoFestival("\u5929\u5730\u4ED3\u5F00\u65E5", FotoUtil._SS), new FotoFestival("\u5B50\u5B59\u5A18\u5A18\u8BDE")],
    "3-23": [FotoUtil._T],
    "3-25": [FotoUtil._H],
    "3-27": [new FotoFestival("\u4E03\u6BBF\u6CF0\u5C71\u738B\u8BDE"), FotoUtil._D],
    "3-28": [FotoUtil._R, new FotoFestival("\u82CD\u9889\u81F3\u5723\u5148\u5E08\u8BDE", FotoUtil._XL), new FotoFestival("\u4E1C\u5CB3\u5927\u5E1D\u8BDE")],
    "3-29": [FotoUtil._T],
    "3-30": [FotoUtil._HH, FotoUtil._M, FotoUtil._T],
    "4-1": [new FotoFestival("\u516B\u6BBF\u90FD\u5E02\u738B\u8BDE", FotoUtil._DJ), FotoUtil._S],
    "4-3": [FotoUtil._D],
    "4-4": [new FotoFestival("\u4E07\u795E\u5584\u4F1A", "\u72AF\u8005\u5931\u763C\u592D\u80CE"), new FotoFestival("\u6587\u6B8A\u83E9\u8428\u8BDE")],
    "4-6": [FotoUtil._L],
    "4-7": [new FotoFestival("\u5357\u6597\u3001\u5317\u6597\u3001\u897F\u6597\u540C\u964D", FotoUtil._JS), FotoUtil._Y],
    "4-8": [new FotoFestival("\u91CA\u8FE6\u725F\u5C3C\u4F5B\u8BDE", FotoUtil._DJ), new FotoFestival("\u4E07\u795E\u5584\u4F1A", "\u72AF\u8005\u5931\u763C\u592D\u80CE"), new FotoFestival("\u5584\u6076\u7AE5\u5B50\u964D", "\u72AF\u8005\u8840\u6B7B"), new FotoFestival("\u4E5D\u6BBF\u5E73\u7B49\u738B\u8BDE"), FotoUtil._T],
    "4-14": [new FotoFestival("\u7EAF\u9633\u7956\u5E08\u8BDE", FotoUtil._JS), FotoUtil._T],
    "4-15": [FotoUtil._W, new FotoFestival("\u949F\u79BB\u7956\u5E08\u8BDE"), FotoUtil._T],
    "4-16": [new FotoFestival("\u5929\u5730\u4ED3\u5F00\u65E5", FotoUtil._SS)],
    "4-17": [new FotoFestival("\u5341\u6BBF\u8F6C\u8F6E\u738B\u8BDE", FotoUtil._DJ)],
    "4-18": [new FotoFestival("\u5929\u5730\u4ED3\u5F00\u65E5", FotoUtil._SS), new FotoFestival("\u7D2B\u5FBD\u5927\u5E1D\u8BDE", FotoUtil._SS)],
    "4-20": [new FotoFestival("\u773C\u5149\u5723\u6BCD\u8BDE")],
    "4-23": [FotoUtil._T],
    "4-25": [FotoUtil._H],
    "4-27": [FotoUtil._D],
    "4-28": [FotoUtil._R],
    "4-29": [FotoUtil._T],
    "4-30": [FotoUtil._HH, FotoUtil._M, FotoUtil._T],
    "5-1": [new FotoFestival("\u5357\u6781\u957F\u751F\u5927\u5E1D\u8BDE", FotoUtil._DJ), FotoUtil._S],
    "5-3": [FotoUtil._D],
    "5-5": [new FotoFestival("\u5730\u814A", FotoUtil._XL), new FotoFestival("\u4E94\u5E1D\u6821\u5B9A\u751F\u4EBA\u5B98\u7235", FotoUtil._XL), FotoUtil._J, FotoUtil._Y],
    "5-6": [FotoUtil._J, FotoUtil._L],
    "5-7": [FotoUtil._J],
    "5-8": [new FotoFestival("\u5357\u65B9\u4E94\u9053\u8BDE"), FotoUtil._T],
    "5-11": [new FotoFestival("\u5929\u5730\u4ED3\u5F00\u65E5", FotoUtil._SS), new FotoFestival("\u5929\u4E0B\u90FD\u57CE\u968D\u8BDE")],
    "5-12": [new FotoFestival("\u70B3\u7075\u516C\u8BDE")],
    "5-13": [new FotoFestival("\u5173\u5723\u964D", FotoUtil._XL)],
    "5-14": [new FotoFestival("\u591C\u5B50\u65F6\u4E3A\u5929\u5730\u4EA4\u6CF0", FotoUtil._JW), FotoUtil._T],
    "5-15": [FotoUtil._W, FotoUtil._J, FotoUtil._T],
    "5-16": [new FotoFestival("\u4E5D\u6BD2\u65E5", FotoUtil._JW), new FotoFestival("\u5929\u5730\u5143\u6C14\u9020\u5316\u4E07\u7269\u4E4B\u8FB0", FotoUtil._JW)],
    "5-17": [FotoUtil._J],
    "5-18": [new FotoFestival("\u5F20\u5929\u5E08\u8BDE")],
    "5-22": [new FotoFestival("\u5B5D\u5A25\u795E\u8BDE", FotoUtil._DJ)],
    "5-23": [FotoUtil._T],
    "5-25": [FotoUtil._J, FotoUtil._H],
    "5-26": [FotoUtil._J],
    "5-27": [FotoUtil._J, FotoUtil._D],
    "5-28": [FotoUtil._R],
    "5-29": [FotoUtil._T],
    "5-30": [FotoUtil._HH, FotoUtil._M, FotoUtil._T],
    "6-1": [FotoUtil._S],
    "6-3": [new FotoFestival("\u97E6\u9A6E\u83E9\u8428\u5723\u8BDE"), FotoUtil._D, FotoUtil._Y],
    "6-5": [new FotoFestival("\u5357\u8D61\u90E8\u6D32\u8F6C\u5927\u8F6E", FotoUtil._SS)],
    "6-6": [new FotoFestival("\u5929\u5730\u4ED3\u5F00\u65E5", FotoUtil._SS), FotoUtil._L],
    "6-8": [FotoUtil._T],
    "6-10": [new FotoFestival("\u91D1\u7C9F\u5982\u6765\u8BDE")],
    "6-14": [FotoUtil._T],
    "6-15": [FotoUtil._W, FotoUtil._T],
    "6-19": [new FotoFestival("\u89C2\u4E16\u97F3\u83E9\u8428\u6210\u9053", FotoUtil._DJ)],
    "6-23": [new FotoFestival("\u5357\u65B9\u706B\u795E\u8BDE", "\u72AF\u8005\u906D\u56DE\u7984"), FotoUtil._T],
    "6-24": [new FotoFestival("\u96F7\u7956\u8BDE", FotoUtil._XL), new FotoFestival("\u5173\u5E1D\u8BDE", FotoUtil._XL)],
    "6-25": [FotoUtil._H],
    "6-27": [FotoUtil._D],
    "6-28": [FotoUtil._R],
    "6-29": [FotoUtil._T],
    "6-30": [FotoUtil._HH, FotoUtil._M, FotoUtil._T],
    "7-1": [FotoUtil._S, FotoUtil._Y],
    "7-3": [FotoUtil._D],
    "7-5": [new FotoFestival("\u4E2D\u4F1A\u65E5", FotoUtil._SS, false, "\u4E00\u4F5C\u521D\u4E03")],
    "7-6": [FotoUtil._L],
    "7-7": [new FotoFestival("\u9053\u5FB7\u814A", FotoUtil._XL), new FotoFestival("\u4E94\u5E1D\u6821\u751F\u4EBA\u5584\u6076", FotoUtil._XL), new FotoFestival("\u9B41\u661F\u8BDE", FotoUtil._XL)],
    "7-8": [FotoUtil._T],
    "7-10": [new FotoFestival("\u9634\u6BD2\u65E5", "", false, "\u5927\u5FCC")],
    "7-12": [new FotoFestival("\u957F\u771F\u8C2D\u771F\u4EBA\u8BDE")],
    "7-13": [new FotoFestival("\u5927\u52BF\u81F3\u83E9\u8428\u8BDE", FotoUtil._JS)],
    "7-14": [new FotoFestival("\u4E09\u5143\u964D", FotoUtil._JS), FotoUtil._T],
    "7-15": [FotoUtil._W, new FotoFestival("\u4E09\u5143\u964D", FotoUtil._DJ), new FotoFestival("\u5730\u5B98\u6821\u7C4D", FotoUtil._DJ), FotoUtil._T],
    "7-16": [new FotoFestival("\u4E09\u5143\u964D", FotoUtil._JS)],
    "7-18": [new FotoFestival("\u897F\u738B\u6BCD\u8BDE", FotoUtil._DJ)],
    "7-19": [new FotoFestival("\u592A\u5C81\u8BDE", FotoUtil._DJ)],
    "7-22": [new FotoFestival("\u589E\u798F\u8D22\u795E\u8BDE", FotoUtil._XL)],
    "7-23": [FotoUtil._T],
    "7-25": [FotoUtil._H],
    "7-27": [FotoUtil._D],
    "7-28": [FotoUtil._R],
    "7-29": [FotoUtil._Y, FotoUtil._T],
    "7-30": [new FotoFestival("\u5730\u85CF\u83E9\u8428\u8BDE", FotoUtil._DJ), FotoUtil._HH, FotoUtil._M, FotoUtil._T],
    "8-1": [FotoUtil._S, new FotoFestival("\u8BB8\u771F\u541B\u8BDE")],
    "8-3": [FotoUtil._D, new FotoFestival("\u5317\u6597\u8BDE", FotoUtil._XL), new FotoFestival("\u53F8\u547D\u7076\u541B\u8BDE", "\u72AF\u8005\u906D\u56DE\u7984")],
    "8-5": [new FotoFestival("\u96F7\u58F0\u5927\u5E1D\u8BDE", FotoUtil._DJ)],
    "8-6": [FotoUtil._L],
    "8-8": [FotoUtil._T],
    "8-10": [new FotoFestival("\u5317\u6597\u5927\u5E1D\u8BDE")],
    "8-12": [new FotoFestival("\u897F\u65B9\u4E94\u9053\u8BDE")],
    "8-14": [FotoUtil._T],
    "8-15": [FotoUtil._W, new FotoFestival("\u592A\u660E\u671D\u5143", "\u72AF\u8005\u66B4\u4EA1", false, "\u5B9C\u711A\u9999\u5B88\u591C"), FotoUtil._T],
    "8-16": [new FotoFestival("\u5929\u66F9\u63A0\u5237\u771F\u541B\u964D", "\u72AF\u8005\u8D2B\u592D")],
    "8-18": [new FotoFestival("\u5929\u4EBA\u5174\u798F\u4E4B\u8FB0", "", false, "\u5B9C\u658B\u6212\uFF0C\u5B58\u60F3\u5409\u4E8B")],
    "8-23": [new FotoFestival("\u6C49\u6052\u5019\u5F20\u663E\u738B\u8BDE"), FotoUtil._T],
    "8-24": [new FotoFestival("\u7076\u541B\u592B\u4EBA\u8BDE")],
    "8-25": [FotoUtil._H],
    "8-27": [FotoUtil._D, new FotoFestival("\u81F3\u5723\u5148\u5E08\u5B54\u5B50\u8BDE", FotoUtil._XL), FotoUtil._Y],
    "8-28": [FotoUtil._R, new FotoFestival("\u56DB\u5929\u4F1A\u4E8B")],
    "8-29": [FotoUtil._T],
    "8-30": [new FotoFestival("\u8BF8\u795E\u8003\u6821", "\u72AF\u8005\u593A\u7B97"), FotoUtil._HH, FotoUtil._M, FotoUtil._T],
    "9-1": [FotoUtil._S, new FotoFestival("\u5357\u6597\u8BDE", FotoUtil._XL), new FotoFestival("\u5317\u6597\u4E5D\u661F\u964D\u4E16", FotoUtil._DJ, false, "\u6B64\u4E5D\u65E5\u4FF1\u5B9C\u658B\u6212")],
    "9-3": [FotoUtil._D, new FotoFestival("\u4E94\u761F\u795E\u8BDE")],
    "9-6": [FotoUtil._L],
    "9-8": [FotoUtil._T],
    "9-9": [new FotoFestival("\u6597\u6BCD\u8BDE", FotoUtil._XL), new FotoFestival("\u9146\u90FD\u5927\u5E1D\u8BDE"), new FotoFestival("\u7384\u5929\u4E0A\u5E1D\u98DE\u5347")],
    "9-10": [new FotoFestival("\u6597\u6BCD\u964D", FotoUtil._DJ)],
    "9-11": [new FotoFestival("\u5B9C\u6212")],
    "9-13": [new FotoFestival("\u5B5F\u5A46\u5C0A\u795E\u8BDE")],
    "9-14": [FotoUtil._T],
    "9-15": [FotoUtil._W, FotoUtil._T],
    "9-17": [new FotoFestival("\u91D1\u9F99\u56DB\u5927\u738B\u8BDE", "\u72AF\u8005\u906D\u6C34\u5384")],
    "9-19": [new FotoFestival("\u65E5\u5BAB\u6708\u5BAB\u4F1A\u5408", FotoUtil._JS), new FotoFestival("\u89C2\u4E16\u97F3\u83E9\u8428\u8BDE", FotoUtil._JS)],
    "9-23": [FotoUtil._T],
    "9-25": [FotoUtil._H, FotoUtil._Y],
    "9-27": [FotoUtil._D],
    "9-28": [FotoUtil._R],
    "9-29": [FotoUtil._T],
    "9-30": [new FotoFestival("\u836F\u5E08\u7409\u7483\u5149\u4F5B\u8BDE", "\u72AF\u8005\u5371\u75BE"), FotoUtil._HH, FotoUtil._M, FotoUtil._T],
    "10-1": [FotoUtil._S, new FotoFestival("\u6C11\u5C81\u814A", FotoUtil._DJ), new FotoFestival("\u56DB\u5929\u738B\u964D", "\u72AF\u8005\u4E00\u5E74\u5185\u6B7B")],
    "10-3": [FotoUtil._D, new FotoFestival("\u4E09\u8305\u8BDE")],
    "10-5": [new FotoFestival("\u4E0B\u4F1A\u65E5", FotoUtil._JS), new FotoFestival("\u8FBE\u6469\u7956\u5E08\u8BDE", FotoUtil._JS)],
    "10-6": [FotoUtil._L, new FotoFestival("\u5929\u66F9\u8003\u5BDF", FotoUtil._DJ)],
    "10-8": [new FotoFestival("\u4F5B\u6D85\u69C3\u65E5", "", false, "\u5927\u5FCC\u8272\u6B32"), FotoUtil._T],
    "10-10": [new FotoFestival("\u56DB\u5929\u738B\u964D", "\u72AF\u8005\u4E00\u5E74\u5185\u6B7B")],
    "10-11": [new FotoFestival("\u5B9C\u6212")],
    "10-14": [new FotoFestival("\u4E09\u5143\u964D", FotoUtil._JS), FotoUtil._T],
    "10-15": [FotoUtil._W, new FotoFestival("\u4E09\u5143\u964D", FotoUtil._DJ), new FotoFestival("\u4E0B\u5143\u6C34\u5E9C\u6821\u7C4D", FotoUtil._DJ), FotoUtil._T],
    "10-16": [new FotoFestival("\u4E09\u5143\u964D", FotoUtil._JS), FotoUtil._T],
    "10-23": [FotoUtil._Y, FotoUtil._T],
    "10-25": [FotoUtil._H],
    "10-27": [FotoUtil._D, new FotoFestival("\u5317\u6781\u7D2B\u5FBD\u5927\u5E1D\u964D")],
    "10-28": [FotoUtil._R],
    "10-29": [FotoUtil._T],
    "10-30": [FotoUtil._HH, FotoUtil._M, FotoUtil._T],
    "11-1": [FotoUtil._S],
    "11-3": [FotoUtil._D],
    "11-4": [new FotoFestival("\u81F3\u5723\u5148\u5E08\u5B54\u5B50\u8BDE", FotoUtil._XL)],
    "11-6": [new FotoFestival("\u897F\u5CB3\u5927\u5E1D\u8BDE")],
    "11-8": [FotoUtil._T],
    "11-11": [new FotoFestival("\u5929\u5730\u4ED3\u5F00\u65E5", FotoUtil._DJ), new FotoFestival("\u592A\u4E59\u6551\u82E6\u5929\u5C0A\u8BDE", FotoUtil._DJ)],
    "11-14": [FotoUtil._T],
    "11-15": [new FotoFestival("\u6708\u671B", "\u4E0A\u534A\u591C\u72AF\u7537\u6B7B \u4E0B\u534A\u591C\u72AF\u5973\u6B7B"), new FotoFestival("\u56DB\u5929\u738B\u5DE1\u884C", "\u4E0A\u534A\u591C\u72AF\u7537\u6B7B \u4E0B\u534A\u591C\u72AF\u5973\u6B7B")],
    "11-17": [new FotoFestival("\u963F\u5F25\u9640\u4F5B\u8BDE")],
    "11-19": [new FotoFestival("\u592A\u9633\u65E5\u5BAB\u8BDE", "\u72AF\u8005\u5F97\u5947\u7978")],
    "11-21": [FotoUtil._Y],
    "11-23": [new FotoFestival("\u5F20\u4ED9\u8BDE", "\u72AF\u8005\u7EDD\u55E3"), FotoUtil._T],
    "11-25": [new FotoFestival("\u63A0\u5237\u5927\u592B\u964D", "\u72AF\u8005\u906D\u5927\u51F6"), FotoUtil._H],
    "11-26": [new FotoFestival("\u5317\u65B9\u4E94\u9053\u8BDE")],
    "11-27": [FotoUtil._D],
    "11-28": [FotoUtil._R],
    "11-29": [FotoUtil._T],
    "11-30": [FotoUtil._HH, FotoUtil._M, FotoUtil._T],
    "12-1": [FotoUtil._S],
    "12-3": [FotoUtil._D],
    "12-6": [new FotoFestival("\u5929\u5730\u4ED3\u5F00\u65E5", FotoUtil._JS), FotoUtil._L],
    "12-7": [new FotoFestival("\u63A0\u5237\u5927\u592B\u964D", "\u72AF\u8005\u5F97\u6076\u75BE")],
    "12-8": [new FotoFestival("\u738B\u4FAF\u814A", FotoUtil._DJ), new FotoFestival("\u91CA\u8FE6\u5982\u6765\u6210\u4F5B\u4E4B\u8FB0"), FotoUtil._T, new FotoFestival("\u521D\u65EC\u5185\u620A\u65E5\uFF0C\u4EA6\u540D\u738B\u4FAF\u814A", FotoUtil._DJ)],
    "12-12": [new FotoFestival("\u592A\u7D20\u4E09\u5143\u541B\u671D\u771F")],
    "12-14": [FotoUtil._T],
    "12-15": [FotoUtil._W, FotoUtil._T],
    "12-16": [new FotoFestival("\u5357\u5CB3\u5927\u5E1D\u8BDE")],
    "12-19": [FotoUtil._Y],
    "12-20": [new FotoFestival("\u5929\u5730\u4EA4\u9053", "\u72AF\u8005\u4FC3\u5BFF")],
    "12-21": [new FotoFestival("\u5929\u7337\u4E0A\u5E1D\u8BDE")],
    "12-23": [new FotoFestival("\u4E94\u5CB3\u8BDE\u964D"), FotoUtil._T],
    "12-24": [new FotoFestival("\u53F8\u4ECA\u671D\u5929\u594F\u4EBA\u5584\u6076", "\u72AF\u8005\u5F97\u5927\u7978")],
    "12-25": [new FotoFestival("\u4E09\u6E05\u7389\u5E1D\u540C\u964D\uFF0C\u8003\u5BDF\u5584\u6076", "\u72AF\u8005\u5F97\u5947\u7978"), FotoUtil._H],
    "12-27": [FotoUtil._D],
    "12-28": [FotoUtil._R],
    "12-29": [new FotoFestival("\u534E\u4E25\u83E9\u8428\u8BDE"), FotoUtil._T],
    "12-30": [new FotoFestival("\u8BF8\u795E\u4E0B\u964D\uFF0C\u5BDF\u8BBF\u5584\u6076", "\u72AF\u8005\u7537\u5973\u4FF1\u4EA1")]
  };
  static OTHER_FESTIVAL = {
    "1-1": ["\u5F25\u52D2\u83E9\u8428\u5723\u8BDE"],
    "1-6": ["\u5B9A\u5149\u4F5B\u5723\u8BDE"],
    "2-8": ["\u91CA\u8FE6\u725F\u5C3C\u4F5B\u51FA\u5BB6"],
    "2-15": ["\u91CA\u8FE6\u725F\u5C3C\u4F5B\u6D85\u69C3"],
    "2-19": ["\u89C2\u4E16\u97F3\u83E9\u8428\u5723\u8BDE"],
    "2-21": ["\u666E\u8D24\u83E9\u8428\u5723\u8BDE"],
    "3-16": ["\u51C6\u63D0\u83E9\u8428\u5723\u8BDE"],
    "4-4": ["\u6587\u6B8A\u83E9\u8428\u5723\u8BDE"],
    "4-8": ["\u91CA\u8FE6\u725F\u5C3C\u4F5B\u5723\u8BDE"],
    "4-15": ["\u4F5B\u5409\u7965\u65E5"],
    "4-28": ["\u836F\u738B\u83E9\u8428\u5723\u8BDE"],
    "5-13": ["\u4F3D\u84DD\u83E9\u8428\u5723\u8BDE"],
    "6-3": ["\u97E6\u9A6E\u83E9\u8428\u5723\u8BDE"],
    "6-19": ["\u89C2\u97F3\u83E9\u8428\u6210\u9053"],
    "7-13": ["\u5927\u52BF\u81F3\u83E9\u8428\u5723\u8BDE"],
    "7-15": ["\u4F5B\u6B22\u559C\u65E5"],
    "7-24": ["\u9F99\u6811\u83E9\u8428\u5723\u8BDE"],
    "7-30": ["\u5730\u85CF\u83E9\u8428\u5723\u8BDE"],
    "8-15": ["\u6708\u5149\u83E9\u8428\u5723\u8BDE"],
    "8-22": ["\u71C3\u706F\u4F5B\u5723\u8BDE"],
    "9-9": ["\u6469\u5229\u652F\u5929\u83E9\u8428\u5723\u8BDE"],
    "9-19": ["\u89C2\u4E16\u97F3\u83E9\u8428\u51FA\u5BB6"],
    "9-30": ["\u836F\u5E08\u7409\u7483\u5149\u4F5B\u5723\u8BDE"],
    "10-5": ["\u8FBE\u6469\u7956\u5E08\u5723\u8BDE"],
    "10-20": ["\u6587\u6B8A\u83E9\u8428\u51FA\u5BB6"],
    "11-17": ["\u963F\u5F25\u9640\u4F5B\u5723\u8BDE"],
    "11-19": ["\u65E5\u5149\u83E9\u8428\u5723\u8BDE"],
    "12-8": ["\u91CA\u8FE6\u725F\u5C3C\u4F5B\u6210\u9053"],
    "12-23": ["\u76D1\u658B\u83E9\u8428\u5723\u8BDE"],
    "12-29": ["\u534E\u4E25\u83E9\u8428\u5723\u8BDE"]
  };
  static getXiu(month, day) {
    return FotoUtil.XIU_27[(FotoUtil.XIU_OFFSET[Math.abs(month) - 1] + day - 1) % FotoUtil.XIU_27.length];
  }
}
