import { LunarUtil } from "./LunarUtil.mjs";
import { SolarUtil } from "./SolarUtil.mjs";
import { TaoUtil } from "./TaoUtil.mjs";
import { FotoUtil } from "./FotoUtil.mjs";
import { NineStarUtil } from "./NineStarUtil.mjs";
export class I18n {
  static _DEFAULT_LANG = "vi";
  static _LANG;
  static _INIT = false;
  static _MESSAGES = {
    chs: {
      "tg.jia": "\u7532",
      "tg.yi": "\u4E59",
      "tg.bing": "\u4E19",
      "tg.ding": "\u4E01",
      "tg.wu": "\u620A",
      "tg.ji": "\u5DF1",
      "tg.geng": "\u5E9A",
      "tg.xin": "\u8F9B",
      "tg.ren": "\u58EC",
      "tg.gui": "\u7678",
      "dz.zi": "\u5B50",
      "dz.chou": "\u4E11",
      "dz.yin": "\u5BC5",
      "dz.mao": "\u536F",
      "dz.chen": "\u8FB0",
      "dz.si": "\u5DF3",
      "dz.wu": "\u5348",
      "dz.wei": "\u672A",
      "dz.shen": "\u7533",
      "dz.you": "\u9149",
      "dz.xu": "\u620C",
      "dz.hai": "\u4EA5",
      "zx.jian": "\u5EFA",
      "zx.chu": "\u9664",
      "zx.man": "\u6EE1",
      "zx.ping": "\u5E73",
      "zx.ding": "\u5B9A",
      "zx.zhi": "\u6267",
      "zx.po": "\u7834",
      "zx.wei": "\u5371",
      "zx.cheng": "\u6210",
      "zx.shou": "\u6536",
      "zx.kai": "\u5F00",
      "zx.bi": "\u95ED",
      "jz.jiaZi": "\u7532\u5B50",
      "jz.yiChou": "\u4E59\u4E11",
      "jz.bingYin": "\u4E19\u5BC5",
      "jz.dingMao": "\u4E01\u536F",
      "jz.wuChen": "\u620A\u8FB0",
      "jz.jiSi": "\u5DF1\u5DF3",
      "jz.gengWu": "\u5E9A\u5348",
      "jz.xinWei": "\u8F9B\u672A",
      "jz.renShen": "\u58EC\u7533",
      "jz.guiYou": "\u7678\u9149",
      "jz.jiaXu": "\u7532\u620C",
      "jz.yiHai": "\u4E59\u4EA5",
      "jz.bingZi": "\u4E19\u5B50",
      "jz.dingChou": "\u4E01\u4E11",
      "jz.wuYin": "\u620A\u5BC5",
      "jz.jiMao": "\u5DF1\u536F",
      "jz.gengChen": "\u5E9A\u8FB0",
      "jz.xinSi": "\u8F9B\u5DF3",
      "jz.renWu": "\u58EC\u5348",
      "jz.guiWei": "\u7678\u672A",
      "jz.jiaShen": "\u7532\u7533",
      "jz.yiYou": "\u4E59\u9149",
      "jz.bingXu": "\u4E19\u620C",
      "jz.dingHai": "\u4E01\u4EA5",
      "jz.wuZi": "\u620A\u5B50",
      "jz.jiChou": "\u5DF1\u4E11",
      "jz.gengYin": "\u5E9A\u5BC5",
      "jz.xinMao": "\u8F9B\u536F",
      "jz.renChen": "\u58EC\u8FB0",
      "jz.guiSi": "\u7678\u5DF3",
      "jz.jiaWu": "\u7532\u5348",
      "jz.yiWei": "\u4E59\u672A",
      "jz.bingShen": "\u4E19\u7533",
      "jz.dingYou": "\u4E01\u9149",
      "jz.wuXu": "\u620A\u620C",
      "jz.jiHai": "\u5DF1\u4EA5",
      "jz.gengZi": "\u5E9A\u5B50",
      "jz.xinChou": "\u8F9B\u4E11",
      "jz.renYin": "\u58EC\u5BC5",
      "jz.guiMao": "\u7678\u536F",
      "jz.jiaChen": "\u7532\u8FB0",
      "jz.yiSi": "\u4E59\u5DF3",
      "jz.bingWu": "\u4E19\u5348",
      "jz.dingWei": "\u4E01\u672A",
      "jz.wuShen": "\u620A\u7533",
      "jz.jiYou": "\u5DF1\u9149",
      "jz.gengXu": "\u5E9A\u620C",
      "jz.xinHai": "\u8F9B\u4EA5",
      "jz.renZi": "\u58EC\u5B50",
      "jz.guiChou": "\u7678\u4E11",
      "jz.jiaYin": "\u7532\u5BC5",
      "jz.yiMao": "\u4E59\u536F",
      "jz.bingChen": "\u4E19\u8FB0",
      "jz.dingSi": "\u4E01\u5DF3",
      "jz.wuWu": "\u620A\u5348",
      "jz.jiWei": "\u5DF1\u672A",
      "jz.gengShen": "\u5E9A\u7533",
      "jz.xinYou": "\u8F9B\u9149",
      "jz.renXu": "\u58EC\u620C",
      "jz.guiHai": "\u7678\u4EA5",
      "sx.rat": "\u9F20",
      "sx.ox": "\u725B",
      "sx.tiger": "\u864E",
      "sx.rabbit": "\u5154",
      "sx.dragon": "\u9F99",
      "sx.snake": "\u86C7",
      "sx.horse": "\u9A6C",
      "sx.goat": "\u7F8A",
      "sx.monkey": "\u7334",
      "sx.rooster": "\u9E21",
      "sx.dog": "\u72D7",
      "sx.pig": "\u732A",
      "dw.long": "\u9F99",
      "dw.niu": "\u725B",
      "dw.gou": "\u72D7",
      "dw.yang": "\u7F8A",
      "dw.tu": "\u5154",
      "dw.shu": "\u9F20",
      "dw.ji": "\u9E21",
      "dw.ma": "\u9A6C",
      "dw.hu": "\u864E",
      "dw.zhu": "\u732A",
      "dw.hou": "\u7334",
      "dw.she": "\u86C7",
      "dw.huLi": "\u72D0",
      "dw.yan": "\u71D5",
      "dw.bao": "\u8C79",
      "dw.yuan": "\u733F",
      "dw.yin": "\u8693",
      "dw.lu": "\u9E7F",
      "dw.wu": "\u4E4C",
      "dw.jiao": "\u86DF",
      "dw.lang": "\u72FC",
      "dw.fu": "\u8760",
      "dw.zhang": "\u7350",
      "dw.xu": "\u735D",
      "dw.xie": "\u736C",
      "dw.han": "\u72B4",
      "dw.he": "\u8C89",
      "dw.zhi": "\u5F58",
      "wx.jin": "\u91D1",
      "wx.mu": "\u6728",
      "wx.shui": "\u6C34",
      "wx.huo": "\u706B",
      "wx.tu": "\u571F",
      "wx.ri": "\u65E5",
      "wx.yue": "\u6708",
      "n.zero": "\u3007",
      "n.one": "\u4E00",
      "n.two": "\u4E8C",
      "n.three": "\u4E09",
      "n.four": "\u56DB",
      "n.five": "\u4E94",
      "n.six": "\u516D",
      "n.seven": "\u4E03",
      "n.eight": "\u516B",
      "n.nine": "\u4E5D",
      "n.ten": "\u5341",
      "n.eleven": "\u5341\u4E00",
      "n.twelve": "\u5341\u4E8C",
      "d.one": "\u521D\u4E00",
      "d.two": "\u521D\u4E8C",
      "d.three": "\u521D\u4E09",
      "d.four": "\u521D\u56DB",
      "d.five": "\u521D\u4E94",
      "d.six": "\u521D\u516D",
      "d.seven": "\u521D\u4E03",
      "d.eight": "\u521D\u516B",
      "d.nine": "\u521D\u4E5D",
      "d.ten": "\u521D\u5341",
      "d.eleven": "\u5341\u4E00",
      "d.twelve": "\u5341\u4E8C",
      "d.thirteen": "\u5341\u4E09",
      "d.fourteen": "\u5341\u56DB",
      "d.fifteen": "\u5341\u4E94",
      "d.sixteen": "\u5341\u516D",
      "d.seventeen": "\u5341\u4E03",
      "d.eighteen": "\u5341\u516B",
      "d.nighteen": "\u5341\u4E5D",
      "d.twenty": "\u4E8C\u5341",
      "d.twentyOne": "\u5EFF\u4E00",
      "d.twentyTwo": "\u5EFF\u4E8C",
      "d.twentyThree": "\u5EFF\u4E09",
      "d.twentyFour": "\u5EFF\u56DB",
      "d.twentyFive": "\u5EFF\u4E94",
      "d.twentySix": "\u5EFF\u516D",
      "d.twentySeven": "\u5EFF\u4E03",
      "d.twentyEight": "\u5EFF\u516B",
      "d.twentyNine": "\u5EFF\u4E5D",
      "d.thirty": "\u4E09\u5341",
      "m.one": "\u6B63",
      "m.two": "\u4E8C",
      "m.three": "\u4E09",
      "m.four": "\u56DB",
      "m.five": "\u4E94",
      "m.six": "\u516D",
      "m.seven": "\u4E03",
      "m.eight": "\u516B",
      "m.nine": "\u4E5D",
      "m.ten": "\u5341",
      "m.eleven": "\u51AC",
      "m.twelve": "\u814A",
      "w.sun": "\u65E5",
      "w.mon": "\u4E00",
      "w.tues": "\u4E8C",
      "w.wed": "\u4E09",
      "w.thur": "\u56DB",
      "w.fri": "\u4E94",
      "w.sat": "\u516D",
      "xz.aries": "\u767D\u7F8A",
      "xz.taurus": "\u91D1\u725B",
      "xz.gemini": "\u53CC\u5B50",
      "xz.cancer": "\u5DE8\u87F9",
      "xz.leo": "\u72EE\u5B50",
      "xz.virgo": "\u5904\u5973",
      "xz.libra": "\u5929\u79E4",
      "xz.scorpio": "\u5929\u874E",
      "xz.sagittarius": "\u5C04\u624B",
      "xz.capricornus": "\u6469\u7FAF",
      "xz.aquarius": "\u6C34\u74F6",
      "xz.pisces": "\u53CC\u9C7C",
      "bg.qian": "\u4E7E",
      "bg.kun": "\u5764",
      "bg.zhen": "\u9707",
      "bg.xun": "\u5DFD",
      "bg.kan": "\u574E",
      "bg.li": "\u79BB",
      "bg.gen": "\u826E",
      "bg.dui": "\u5151",
      "ps.center": "\u4E2D",
      "ps.dong": "\u4E1C",
      "ps.nan": "\u5357",
      "ps.xi": "\u897F",
      "ps.bei": "\u5317",
      "ps.zhong": "\u4E2D\u5BAB",
      "ps.zhengDong": "\u6B63\u4E1C",
      "ps.zhengNan": "\u6B63\u5357",
      "ps.zhengXi": "\u6B63\u897F",
      "ps.zhengBei": "\u6B63\u5317",
      "ps.dongBei": "\u4E1C\u5317",
      "ps.dongNan": "\u4E1C\u5357",
      "ps.xiBei": "\u897F\u5317",
      "ps.xiNan": "\u897F\u5357",
      "ps.wai": "\u5916",
      "ps.fangNei": "\u623F\u5185",
      "jq.dongZhi": "\u51AC\u81F3",
      "jq.xiaoHan": "\u5C0F\u5BD2",
      "jq.daHan": "\u5927\u5BD2",
      "jq.liChun": "\u7ACB\u6625",
      "jq.yuShui": "\u96E8\u6C34",
      "jq.jingZhe": "\u60CA\u86F0",
      "jq.chunFen": "\u6625\u5206",
      "jq.qingMing": "\u6E05\u660E",
      "jq.guYu": "\u8C37\u96E8",
      "jq.liXia": "\u7ACB\u590F",
      "jq.xiaoMan": "\u5C0F\u6EE1",
      "jq.mangZhong": "\u8292\u79CD",
      "jq.xiaZhi": "\u590F\u81F3",
      "jq.xiaoShu": "\u5C0F\u6691",
      "jq.daShu": "\u5927\u6691",
      "jq.liQiu": "\u7ACB\u79CB",
      "jq.chuShu": "\u5904\u6691",
      "jq.baiLu": "\u767D\u9732",
      "jq.qiuFen": "\u79CB\u5206",
      "jq.hanLu": "\u5BD2\u9732",
      "jq.shuangJiang": "\u971C\u964D",
      "jq.liDong": "\u7ACB\u51AC",
      "jq.xiaoXue": "\u5C0F\u96EA",
      "jq.daXue": "\u5927\u96EA",
      "sn.qingLong": "\u9752\u9F99",
      "sn.baiHu": "\u767D\u864E",
      "sn.zhuQue": "\u6731\u96C0",
      "sn.xuanWu": "\u7384\u6B66",
      "sn.mingTang": "\u660E\u5802",
      "sn.tianXing": "\u5929\u5211",
      "sn.tianDe": "\u5929\u5FB7",
      "sn.jinKui": "\u91D1\u532E",
      "sn.yuTang": "\u7389\u5802",
      "sn.siMing": "\u53F8\u547D",
      "sn.tianLao": "\u5929\u7262",
      "sn.gouChen": "\u52FE\u9648",
      "sn.tianEn": "\u5929\u6069",
      "sn.muCang": "\u6BCD\u4ED3",
      "sn.shiYang": "\u65F6\u9633",
      "sn.shengQi": "\u751F\u6C14",
      "sn.yiHou": "\u76CA\u540E",
      "sn.zaiSha": "\u707E\u715E",
      "sn.tianHuo": "\u5929\u706B",
      "sn.siJi": "\u56DB\u5FCC",
      "sn.baLong": "\u516B\u9F99",
      "sn.fuRi": "\u590D\u65E5",
      "sn.xuShi": "\u7EED\u4E16",
      "sn.yueSha": "\u6708\u715E",
      "sn.yueXu": "\u6708\u865A",
      "sn.xueZhi": "\u8840\u652F",
      "sn.tianZei": "\u5929\u8D3C",
      "sn.wuXu": "\u4E94\u865A",
      "sn.tuFu": "\u571F\u7B26",
      "sn.guiJi": "\u5F52\u5FCC",
      "sn.xueJi": "\u8840\u5FCC",
      "sn.yueDe": "\u6708\u5FB7",
      "sn.yueEn": "\u6708\u6069",
      "sn.siXiang": "\u56DB\u76F8",
      "sn.wangRi": "\u738B\u65E5",
      "sn.tianCang": "\u5929\u4ED3",
      "sn.buJiang": "\u4E0D\u5C06",
      "sn.wuHe": "\u4E94\u5408",
      "sn.mingFeiDui": "\u9E23\u5420\u5BF9",
      "sn.yueJian": "\u6708\u5EFA",
      "sn.xiaoShi": "\u5C0F\u65F6",
      "sn.tuHu": "\u571F\u5E9C",
      "sn.wangWang": "\u5F80\u4EA1",
      "sn.yaoAn": "\u8981\u5B89",
      "sn.siShen": "\u6B7B\u795E",
      "sn.tianMa": "\u5929\u9A6C",
      "sn.jiuHu": "\u4E5D\u864E",
      "sn.qiNiao": "\u4E03\u9E1F",
      "sn.liuShe": "\u516D\u86C7",
      "sn.guanRi": "\u5B98\u65E5",
      "sn.jiQi": "\u5409\u671F",
      "sn.yuYu": "\u7389\u5B87",
      "sn.daShi": "\u5927\u65F6",
      "sn.daBai": "\u5927\u8D25",
      "sn.xianChi": "\u54B8\u6C60",
      "sn.shouRi": "\u5B88\u65E5",
      "sn.tianWu": "\u5929\u5DEB",
      "sn.fuDe": "\u798F\u5FB7",
      "sn.liuYi": "\u516D\u4EEA",
      "sn.jinTang": "\u91D1\u5802",
      "sn.yanDui": "\u538C\u5BF9",
      "sn.zhaoYao": "\u62DB\u6447",
      "sn.jiuKong": "\u4E5D\u7A7A",
      "sn.jiuKan": "\u4E5D\u574E",
      "sn.jiuJiao": "\u4E5D\u7126",
      "sn.xiangRi": "\u76F8\u65E5",
      "sn.baoGuang": "\u5B9D\u5149",
      "sn.tianGang": "\u5929\u7F61",
      "sn.yueXing": "\u6708\u5211",
      "sn.yueHai": "\u6708\u5BB3",
      "sn.youHuo": "\u6E38\u7978",
      "sn.chongRi": "\u91CD\u65E5",
      "sn.shiDe": "\u65F6\u5FB7",
      "sn.minRi": "\u6C11\u65E5",
      "sn.sanHe": "\u4E09\u5408",
      "sn.linRi": "\u4E34\u65E5",
      "sn.shiYin": "\u65F6\u9634",
      "sn.mingFei": "\u9E23\u5420",
      "sn.siQi": "\u6B7B\u6C14",
      "sn.diNang": "\u5730\u56CA",
      "sn.yueDeHe": "\u6708\u5FB7\u5408",
      "sn.jingAn": "\u656C\u5B89",
      "sn.puHu": "\u666E\u62A4",
      "sn.jieShen": "\u89E3\u795E",
      "sn.xiaoHao": "\u5C0F\u8017",
      "sn.tianDeHe": "\u5929\u5FB7\u5408",
      "sn.yueKong": "\u6708\u7A7A",
      "sn.yiMa": "\u9A7F\u9A6C",
      "sn.tianHou": "\u5929\u540E",
      "sn.chuShen": "\u9664\u795E",
      "sn.yuePo": "\u6708\u7834",
      "sn.daHao": "\u5927\u8017",
      "sn.wuLi": "\u4E94\u79BB",
      "sn.yinDe": "\u9634\u5FB7",
      "sn.fuSheng": "\u798F\u751F",
      "sn.tianLi": "\u5929\u540F",
      "sn.zhiSi": "\u81F4\u6B7B",
      "sn.yuanWu": "\u5143\u6B66",
      "sn.yangDe": "\u9633\u5FB7",
      "sn.tianXi": "\u5929\u559C",
      "sn.tianYi": "\u5929\u533B",
      "sn.yueYan": "\u6708\u538C",
      "sn.diHuo": "\u5730\u706B",
      "sn.fourHit": "\u56DB\u51FB",
      "sn.daSha": "\u5927\u715E",
      "sn.daHui": "\u5927\u4F1A",
      "sn.tianYuan": "\u5929\u613F",
      "sn.liuHe": "\u516D\u5408",
      "sn.wuFu": "\u4E94\u5BCC",
      "sn.shengXin": "\u5723\u5FC3",
      "sn.heKui": "\u6CB3\u9B41",
      "sn.jieSha": "\u52AB\u715E",
      "sn.siQiong": "\u56DB\u7A77",
      "sn.chuShuiLong": "\u89E6\u6C34\u9F99",
      "sn.baFeng": "\u516B\u98CE",
      "sn.tianShe": "\u5929\u8D66",
      "sn.wuMu": "\u4E94\u5893",
      "sn.baZhuan": "\u516B\u4E13",
      "sn.yinCuo": "\u9634\u9519",
      "sn.siHao": "\u56DB\u8017",
      "sn.yangCuo": "\u9633\u9519",
      "sn.siFei": "\u56DB\u5E9F",
      "sn.sanYin": "\u4E09\u9634",
      "sn.xiaoHui": "\u5C0F\u4F1A",
      "sn.yinDaoChongYang": "\u9634\u9053\u51B2\u9633",
      "sn.danYin": "\u5355\u9634",
      "sn.guChen": "\u5B64\u8FB0",
      "sn.yinWei": "\u9634\u4F4D",
      "sn.xingHen": "\u884C\u72E0",
      "sn.liaoLi": "\u4E86\u623E",
      "sn.jueYin": "\u7EDD\u9634",
      "sn.chunYang": "\u7EAF\u9633",
      "sn.suiBo": "\u5C81\u8584",
      "sn.yinYangJiaoPo": "\u9634\u9633\u4EA4\u7834",
      "sn.yinYangJuCuo": "\u9634\u9633\u4FF1\u9519",
      "sn.yinYangJiChong": "\u9634\u9633\u51FB\u51B2",
      "sn.zhuZhen": "\u9010\u9635",
      "sn.yangCuoYinChong": "\u9633\u9519\u9634\u51B2",
      "sn.qiFu": "\u4E03\u7B26",
      "sn.tianGou": "\u5929\u72D7",
      "sn.chengRi": "\u6210\u65E5",
      "sn.tianFu": "\u5929\u7B26",
      "sn.guYang": "\u5B64\u9633",
      "sn.jueYang": "\u7EDD\u9633",
      "sn.chunYin": "\u7EAF\u9634",
      "sn.yinShen": "\u9634\u795E",
      "sn.jieChu": "\u89E3\u9664",
      "sn.yangPoYinChong": "\u9633\u7834\u9634\u51B2",
      "ss.biJian": "\u6BD4\u80A9",
      "ss.jieCai": "\u52AB\u8D22",
      "ss.shiShen": "\u98DF\u795E",
      "ss.shangGuan": "\u4F24\u5B98",
      "ss.pianCai": "\u504F\u8D22",
      "ss.zhengCai": "\u6B63\u8D22",
      "ss.qiSha": "\u4E03\u6740",
      "ss.zhengGuan": "\u6B63\u5B98",
      "ss.pianYin": "\u504F\u5370",
      "ss.zhengYin": "\u6B63\u5370",
      "s.none": "\u65E0",
      "s.huangDao": "\u9EC4\u9053",
      "s.heiDao": "\u9ED1\u9053",
      "s.goodLuck": "\u5409",
      "s.badLuck": "\u51F6",
      "s.yin": "\u9634",
      "s.yang": "\u9633",
      "s.white": "\u767D",
      "s.black": "\u9ED1",
      "s.blue": "\u78A7",
      "s.green": "\u7EFF",
      "s.yellow": "\u9EC4",
      "s.red": "\u8D64",
      "s.purple": "\u7D2B",
      "jr.chuXi": "\u9664\u5915",
      "jr.chunJie": "\u6625\u8282",
      "jr.yuanXiao": "\u5143\u5BB5\u8282",
      "jr.longTou": "\u9F99\u5934\u8282",
      "jr.duanWu": "\u7AEF\u5348\u8282",
      "jr.qiXi": "\u4E03\u5915\u8282",
      "jr.zhongQiu": "\u4E2D\u79CB\u8282",
      "jr.chongYang": "\u91CD\u9633\u8282",
      "jr.laBa": "\u814A\u516B\u8282",
      "jr.yuanDan": "\u5143\u65E6\u8282",
      "jr.qingRen": "\u60C5\u4EBA\u8282",
      "jr.fuNv": "\u5987\u5973\u8282",
      "jr.zhiShu": "\u690D\u6811\u8282",
      "jr.xiaoFei": "\u6D88\u8D39\u8005\u6743\u76CA\u65E5",
      "jr.wuYi": "\u52B3\u52A8\u8282",
      "jr.qingNian": "\u9752\u5E74\u8282",
      "jr.erTong": "\u513F\u7AE5\u8282",
      "jr.yuRen": "\u611A\u4EBA\u8282",
      "jr.jianDang": "\u5EFA\u515A\u8282",
      "jr.jianJun": "\u5EFA\u519B\u8282",
      "jr.jiaoShi": "\u6559\u5E08\u8282",
      "jr.guoQing": "\u56FD\u5E86\u8282",
      "jr.wanShengYe": "\u4E07\u5723\u8282\u524D\u591C",
      "jr.wanSheng": "\u4E07\u5723\u8282",
      "jr.pingAn": "\u5E73\u5B89\u591C",
      "jr.shengDan": "\u5723\u8BDE\u8282",
      "ds.changSheng": "\u957F\u751F",
      "ds.muYu": "\u6C90\u6D74",
      "ds.guanDai": "\u51A0\u5E26",
      "ds.linGuan": "\u4E34\u5B98",
      "ds.diWang": "\u5E1D\u65FA",
      "ds.shuai": "\u8870",
      "ds.bing": "\u75C5",
      "ds.si": "\u6B7B",
      "ds.mu": "\u5893",
      "ds.jue": "\u7EDD",
      "ds.tai": "\u80CE",
      "ds.yang": "\u517B",
      "h.first": "\u521D\u5019",
      "h.second": "\u4E8C\u5019",
      "h.third": "\u4E09\u5019",
      "h.qiuYinJie": "\u86AF\u8693\u7ED3",
      "h.miJiao": "\u9E8B\u89D2\u89E3",
      "h.shuiQuan": "\u6C34\u6CC9\u52A8",
      "h.yanBei": "\u96C1\u5317\u4E61",
      "h.queShi": "\u9E4A\u59CB\u5DE2",
      "h.zhiShi": "\u96C9\u59CB\u96CA",
      "h.jiShi": "\u9E21\u59CB\u4E73",
      "h.zhengNiao": "\u5F81\u9E1F\u5389\u75BE",
      "h.shuiZe": "\u6C34\u6CFD\u8179\u575A",
      "h.dongFeng": "\u4E1C\u98CE\u89E3\u51BB",
      "h.zheChongShiZhen": "\u86F0\u866B\u59CB\u632F",
      "h.yuZhi": "\u9C7C\u965F\u8D1F\u51B0",
      "h.taJi": "\u736D\u796D\u9C7C",
      "h.houYan": "\u5019\u96C1\u5317",
      "h.caoMuMengDong": "\u8349\u6728\u840C\u52A8",
      "h.taoShi": "\u6843\u59CB\u534E",
      "h.cangGeng": "\u4ED3\u5E9A\u9E23",
      "h.yingHua": "\u9E70\u5316\u4E3A\u9E20",
      "h.xuanNiaoZhi": "\u7384\u9E1F\u81F3",
      "h.leiNai": "\u96F7\u4E43\u53D1\u58F0",
      "h.shiDian": "\u59CB\u7535",
      "h.tongShi": "\u6850\u59CB\u534E",
      "h.tianShu": "\u7530\u9F20\u5316\u4E3A\u9D3D",
      "h.hongShi": "\u8679\u59CB\u89C1",
      "h.pingShi": "\u840D\u59CB\u751F",
      "h.mingJiu": "\u9E23\u9E20\u62C2\u5947\u7FBD",
      "h.daiSheng": "\u6234\u80DC\u964D\u4E8E\u6851",
      "h.louGuo": "\u877C\u8748\u9E23",
      "h.qiuYinChu": "\u86AF\u8693\u51FA",
      "h.wangGua": "\u738B\u74DC\u751F",
      "h.kuCai": "\u82E6\u83DC\u79C0",
      "h.miCao": "\u9761\u8349\u6B7B",
      "h.maiQiu": "\u9EA6\u79CB\u81F3",
      "h.tangLang": "\u87B3\u8782\u751F",
      "h.juShi": "\u9D59\u59CB\u9E23",
      "h.fanShe": "\u53CD\u820C\u65E0\u58F0",
      "h.luJia": "\u9E7F\u89D2\u89E3",
      "h.tiaoShi": "\u8729\u59CB\u9E23",
      "h.banXia": "\u534A\u590F\u751F",
      "h.wenFeng": "\u6E29\u98CE\u81F3",
      "h.xiShuai": "\u87CB\u87C0\u5C45\u58C1",
      "h.yingShi": "\u9E70\u59CB\u631A",
      "h.fuCao": "\u8150\u8349\u4E3A\u8424",
      "h.tuRun": "\u571F\u6DA6\u6EBD\u6691",
      "h.daYu": "\u5927\u96E8\u884C\u65F6",
      "h.liangFeng": "\u51C9\u98CE\u81F3",
      "h.baiLu": "\u767D\u9732\u964D",
      "h.hanChan": "\u5BD2\u8749\u9E23",
      "h.yingNai": "\u9E70\u4E43\u796D\u9E1F",
      "h.tianDi": "\u5929\u5730\u59CB\u8083",
      "h.heNai": "\u79BE\u4E43\u767B",
      "h.hongYanLai": "\u9E3F\u96C1\u6765",
      "h.xuanNiaoGui": "\u7384\u9E1F\u5F52",
      "h.qunNiao": "\u7FA4\u9E1F\u517B\u7F9E",
      "h.leiShi": "\u96F7\u59CB\u6536\u58F0",
      "h.zheChongPiHu": "\u86F0\u866B\u576F\u6237",
      "h.shuiShiHe": "\u6C34\u59CB\u6DB8",
      "h.hongYanLaiBin": "\u9E3F\u96C1\u6765\u5BBE",
      "h.queRu": "\u96C0\u5165\u5927\u6C34\u4E3A\u86E4",
      "h.juYou": "\u83CA\u6709\u9EC4\u82B1",
      "h.caiNai": "\u8C7A\u4E43\u796D\u517D",
      "h.caoMuHuangLuo": "\u8349\u6728\u9EC4\u843D",
      "h.zheChongXianFu": "\u86F0\u866B\u54B8\u4FEF",
      "h.shuiShiBing": "\u6C34\u59CB\u51B0",
      "h.diShi": "\u5730\u59CB\u51BB",
      "h.zhiRu": "\u96C9\u5165\u5927\u6C34\u4E3A\u8703",
      "h.hongCang": "\u8679\u85CF\u4E0D\u89C1",
      "h.tianQi": "\u5929\u6C14\u4E0A\u5347\u5730\u6C14\u4E0B\u964D",
      "h.biSe": "\u95ED\u585E\u800C\u6210\u51AC",
      "h.heDan": "\u9E56\u9D20\u4E0D\u9E23",
      "h.huShi": "\u864E\u59CB\u4EA4",
      "h.liTing": "\u8354\u633A\u51FA",
      "ts.zhan": "\u5360",
      "ts.hu": "\u6237",
      "ts.win": "\u7A97",
      "ts.fang": "\u623F",
      "ts.chuang": "\u5E8A",
      "ts.lu": "\u7089",
      "ts.zao": "\u7076",
      "ts.dui": "\u7893",
      "ts.mo": "\u78E8",
      "ts.xi": "\u6816",
      "ts.chu": "\u53A8",
      "ts.ce": "\u5395",
      "ts.cang": "\u4ED3",
      "ts.cangKu": "\u4ED3\u5E93",
      "ts.daMen": "\u5927\u95E8",
      "ts.men": "\u95E8",
      "ts.tang": "\u5802",
      "ly.xianSheng": "\u5148\u80DC",
      "ly.xianFu": "\u5148\u8D1F",
      "ly.youYin": "\u53CB\u5F15",
      "ly.foMie": "\u4F5B\u706D",
      "ly.daAn": "\u5927\u5B89",
      "ly.chiKou": "\u8D64\u53E3",
      "yj.jiSi": "\u796D\u7940",
      "yj.qiFu": "\u7948\u798F",
      "yj.qiuSi": "\u6C42\u55E3",
      "yj.kaiGuang": "\u5F00\u5149",
      "yj.suHui": "\u5851\u7ED8",
      "yj.qiJiao": "\u9F50\u91AE",
      "yj.zhaiJiao": "\u658B\u91AE",
      "yj.muYu": "\u6C90\u6D74",
      "yj.chouShen": "\u916C\u795E",
      "yj.zaoMiao": "\u9020\u5E99",
      "yj.siZhao": "\u7940\u7076",
      "yj.fenXiang": "\u711A\u9999",
      "yj.xieTu": "\u8C22\u571F",
      "yj.chuHuo": "\u51FA\u706B",
      "yj.diaoKe": "\u96D5\u523B",
      "yj.jiaQu": "\u5AC1\u5A36",
      "yj.DingHun": "\u8BA2\u5A5A",
      "yj.naCai": "\u7EB3\u91C7",
      "yj.wenMing": "\u95EE\u540D",
      "yj.naXu": "\u7EB3\u5A7F",
      "yj.guiNing": "\u5F52\u5B81",
      "yj.anChuang": "\u5B89\u5E8A",
      "yj.heZhang": "\u5408\u5E10",
      "yj.guanJi": "\u51A0\u7B04",
      "yj.dingMeng": "\u8BA2\u76DF",
      "yj.jinRenKou": "\u8FDB\u4EBA\u53E3",
      "yj.caiYi": "\u88C1\u8863",
      "yj.wanMian": "\u633D\u9762",
      "yj.kaiRong": "\u5F00\u5BB9",
      "yj.xiuFen": "\u4FEE\u575F",
      "yj.qiZuan": "\u542F\u94BB",
      "yj.poTu": "\u7834\u571F",
      "yj.anZang": "\u5B89\u846C",
      "yj.liBei": "\u7ACB\u7891",
      "yj.chengFu": "\u6210\u670D",
      "yj.chuFu": "\u9664\u670D",
      "yj.kaiShengFen": "\u5F00\u751F\u575F",
      "yj.heShouMu": "\u5408\u5BFF\u6728",
      "yj.ruLian": "\u5165\u6B93",
      "yj.yiJiu": "\u79FB\u67E9",
      "yj.puDu": "\u666E\u6E21",
      "yj.ruZhai": "\u5165\u5B85",
      "yj.anXiang": "\u5B89\u9999",
      "yj.anMen": "\u5B89\u95E8",
      "yj.xiuZao": "\u4FEE\u9020",
      "yj.qiJi": "\u8D77\u57FA",
      "yj.dongTu": "\u52A8\u571F",
      "yj.shangLiang": "\u4E0A\u6881",
      "yj.shuZhu": "\u7AD6\u67F1",
      "yj.kaiJing": "\u5F00\u4E95\u5F00\u6C60",
      "yj.zuoBei": "\u4F5C\u9642\u653E\u6C34",
      "yj.chaiXie": "\u62C6\u5378",
      "yj.poWu": "\u7834\u5C4B",
      "yj.huaiYuan": "\u574F\u57A3",
      "yj.buYuan": "\u8865\u57A3",
      "yj.faMuZuoLiang": "\u4F10\u6728\u505A\u6881",
      "yj.zuoZhao": "\u4F5C\u7076",
      "yj.jieChu": "\u89E3\u9664",
      "yj.kaiZhuYan": "\u5F00\u67F1\u773C",
      "yj.chuanPing": "\u7A7F\u5C4F\u6247\u67B6",
      "yj.gaiWuHeJi": "\u76D6\u5C4B\u5408\u810A",
      "yj.kaiCe": "\u5F00\u5395",
      "yj.zaoCang": "\u9020\u4ED3",
      "yj.saiXue": "\u585E\u7A74",
      "yj.pingZhi": "\u5E73\u6CBB\u9053\u6D82",
      "yj.zaoQiao": "\u9020\u6865",
      "yj.zuoCe": "\u4F5C\u5395",
      "yj.zhuDi": "\u7B51\u5824",
      "yj.kaiChi": "\u5F00\u6C60",
      "yj.faMu": "\u4F10\u6728",
      "yj.kaiQu": "\u5F00\u6E20",
      "yj.jueJing": "\u6398\u4E95",
      "yj.saoShe": "\u626B\u820D",
      "yj.fangShui": "\u653E\u6C34",
      "yj.zaoWu": "\u9020\u5C4B",
      "yj.heJi": "\u5408\u810A",
      "yj.zaoChuChou": "\u9020\u755C\u7A20",
      "yj.xiuMen": "\u4FEE\u95E8",
      "yj.dingSang": "\u5B9A\u78C9",
      "yj.zuoLiang": "\u4F5C\u6881",
      "yj.xiuShi": "\u4FEE\u9970\u57A3\u5899",
      "yj.jiaMa": "\u67B6\u9A6C",
      "yj.kaiShi": "\u5F00\u5E02",
      "yj.guaBian": "\u6302\u533E",
      "yj.naChai": "\u7EB3\u8D22",
      "yj.qiuCai": "\u6C42\u8D22",
      "yj.kaiCang": "\u5F00\u4ED3",
      "yj.maiChe": "\u4E70\u8F66",
      "yj.zhiChan": "\u7F6E\u4EA7",
      "yj.guYong": "\u96C7\u4F63",
      "yj.chuHuoCai": "\u51FA\u8D27\u8D22",
      "yj.anJiXie": "\u5B89\u673A\u68B0",
      "yj.zaoCheQi": "\u9020\u8F66\u5668",
      "yj.jingLuo": "\u7ECF\u7EDC",
      "yj.yunNiang": "\u915D\u917F",
      "yj.zuoRan": "\u4F5C\u67D3",
      "yj.guZhu": "\u9F13\u94F8",
      "yj.zaoChuan": "\u9020\u8239",
      "yj.geMi": "\u5272\u871C",
      "yj.zaiZhong": "\u683D\u79CD",
      "yj.quYu": "\u53D6\u6E14",
      "yj.jieWang": "\u7ED3\u7F51",
      "yj.muYang": "\u7267\u517B",
      "yj.anDuiWei": "\u5B89\u7893\u78D1",
      "yj.xiYi": "\u4E60\u827A",
      "yj.ruXue": "\u5165\u5B66",
      "yj.liFa": "\u7406\u53D1",
      "yj.tanBing": "\u63A2\u75C5",
      "yj.jianGui": "\u89C1\u8D35",
      "yj.chengChuan": "\u4E58\u8239",
      "yj.duShui": "\u6E21\u6C34",
      "yj.zhenJiu": "\u9488\u7078",
      "yj.chuXing": "\u51FA\u884C",
      "yj.yiXi": "\u79FB\u5F99",
      "yj.fenJu": "\u5206\u5C45",
      "yj.TiTou": "\u5243\u5934",
      "yj.zhengShou": "\u6574\u624B\u8DB3\u7532",
      "yj.naChu": "\u7EB3\u755C",
      "yj.buZhuo": "\u6355\u6349",
      "yj.tianLie": "\u754B\u730E",
      "yj.jiaoNiuMa": "\u6559\u725B\u9A6C",
      "yj.huiQinYou": "\u4F1A\u4EB2\u53CB",
      "yj.fuRen": "\u8D74\u4EFB",
      "yj.qiuYi": "\u6C42\u533B",
      "yj.zhiBing": "\u6CBB\u75C5",
      "yj.ciSong": "\u8BCD\u8BBC",
      "yj.qiJiDongTu": "\u8D77\u57FA\u52A8\u571F",
      "yj.poWuHuaiYuan": "\u7834\u5C4B\u574F\u57A3",
      "yj.gaiWu": "\u76D6\u5C4B",
      "yj.zaoCangKu": "\u9020\u4ED3\u5E93",
      "yj.liQuanJiaoYi": "\u7ACB\u5238\u4EA4\u6613",
      "yj.jiaoYi": "\u4EA4\u6613",
      "yj.liQuan": "\u7ACB\u5238",
      "yj.anJi": "\u5B89\u673A",
      "yj.huiYou": "\u4F1A\u53CB",
      "yj.qiuYiLiaoBing": "\u6C42\u533B\u7597\u75C5",
      "yj.zhuShi": "\u8BF8\u4E8B\u4E0D\u5B9C",
      "yj.yuShi": "\u9980\u4E8B\u52FF\u53D6",
      "yj.xingSang": "\u884C\u4E27",
      "yj.duanYi": "\u65AD\u8681",
      "yj.guiXiu": "\u5F52\u5CAB",
      "xx.bi": "\u6BD5",
      "xx.yi": "\u7FFC",
      "xx.ji": "\u7B95",
      "xx.kui": "\u594E",
      "xx.gui": "\u9B3C",
      "xx.di": "\u6C10",
      "xx.xu": "\u865A",
      "xx.wei": "\u5371",
      "xx.zi": "\u89DC",
      "xx.zhen": "\u8F78",
      "xx.dou": "\u6597",
      "xx.lou": "\u5A04",
      "xx.liu": "\u67F3",
      "xx.fang": "\u623F",
      "xx.xin": "\u5FC3",
      "xx.shi": "\u5BA4",
      "xx.can": "\u53C2",
      "xx.jiao": "\u89D2",
      "xx.niu": "\u725B",
      "xx.vei": "\u80C3",
      "xx.xing": "\u661F",
      "xx.zhang": "\u5F20",
      "xx.tail": "\u5C3E",
      "xx.qiang": "\u58C1",
      "xx.jing": "\u4E95",
      "xx.kang": "\u4EA2",
      "xx.nv": "\u5973",
      "xx.mao": "\u6634",
      "sz.chun": "\u6625",
      "sz.xia": "\u590F",
      "sz.qiu": "\u79CB",
      "sz.dong": "\u51AC",
      "od.first": "\u5B5F",
      "od.second": "\u4EF2",
      "od.third": "\u5B63",
      "yx.shuo": "\u6714",
      "yx.jiShuo": "\u65E2\u6714",
      "yx.eMeiXin": "\u86FE\u7709\u65B0",
      "yx.eMei": "\u86FE\u7709",
      "yx.xi": "\u5915",
      "yx.shangXian": "\u4E0A\u5F26",
      "yx.jiuYe": "\u4E5D\u591C",
      "yx.night": "\u5BB5",
      "yx.jianYingTu": "\u6E10\u76C8\u51F8",
      "yx.xiaoWang": "\u5C0F\u671B",
      "yx.wang": "\u671B",
      "yx.jiWang": "\u65E2\u671B",
      "yx.liDai": "\u7ACB\u5F85",
      "yx.juDai": "\u5C45\u5F85",
      "yx.qinDai": "\u5BDD\u5F85",
      "yx.gengDai": "\u66F4\u5F85",
      "yx.jianKuiTu": "\u6E10\u4E8F\u51F8",
      "yx.xiaXian": "\u4E0B\u5F26",
      "yx.youMing": "\u6709\u660E",
      "yx.eMeiCan": "\u86FE\u7709\u6B8B",
      "yx.can": "\u6B8B",
      "yx.xiao": "\u6653",
      "yx.hui": "\u6666",
      "ny.sangZhe": "\u6851\u67D8",
      "ny.baiLa": "\u767D\u8721",
      "ny.yangLiu": "\u6768\u67F3",
      "ny.jinBo": "\u91D1\u7B94",
      "ny.haiZhong": "\u6D77\u4E2D",
      "ny.daHai": "\u5927\u6D77",
      "ny.shaZhong": "\u6C99\u4E2D",
      "ny.luZhong": "\u7089\u4E2D",
      "ny.shanXia": "\u5C71\u4E0B",
      "ny.daLin": "\u5927\u6797",
      "ny.pingDi": "\u5E73\u5730",
      "ny.luPang": "\u8DEF\u65C1",
      "ny.biShang": "\u58C1\u4E0A",
      "ny.jianFeng": "\u5251\u950B",
      "ny.shanTou": "\u5C71\u5934",
      "ny.fuDeng": "\u8986\u706F",
      "ny.jianXia": "\u6DA7\u4E0B",
      "ny.tianHe": "\u5929\u6CB3",
      "ny.chengTou": "\u57CE\u5934",
      "ny.daYi": "\u5927\u9A7F",
      "ny.chaiChuan": "\u9497\u948F",
      "ny.quanZhong": "\u6CC9\u4E2D",
      "ny.daXi": "\u5927\u6EAA",
      "ny.wuShang": "\u5C4B\u4E0A",
      "ny.piLi": "\u9739\u96F3",
      "ny.tianShang": "\u5929\u4E0A",
      "ny.songBo": "\u677E\u67CF",
      "ny.shiLiu": "\u77F3\u69B4",
      "ny.changLiu": "\u957F\u6D41"
    },
    en: {
      "tg.jia": "Jia",
      "tg.yi": "Yi",
      "tg.bing": "Bing",
      "tg.ding": "Ding",
      "tg.wu": "Wu",
      "tg.ji": "Ji",
      "tg.geng": "Geng",
      "tg.xin": "Xin",
      "tg.ren": "Ren",
      "tg.gui": "Gui",
      "dz.zi": "Zi",
      "dz.chou": "Chou",
      "dz.yin": "Yin",
      "dz.mao": "Mao",
      "dz.chen": "Chen",
      "dz.si": "Si",
      "dz.wu": "Wu",
      "dz.wei": "Wei",
      "dz.shen": "Shen",
      "dz.you": "You",
      "dz.xu": "Xu",
      "dz.hai": "Hai",
      "zx.jian": "Build",
      "zx.chu": "Remove",
      "zx.man": "Full",
      "zx.ping": "Flat",
      "zx.ding": "Stable",
      "zx.zhi": "Hold",
      "zx.po": "Break",
      "zx.wei": "Danger",
      "zx.cheng": "Complete",
      "zx.shou": "Collect",
      "zx.kai": "Open",
      "zx.bi": "Close",
      "jz.jiaZi": "JiaZi",
      "jz.yiChou": "YiChou",
      "jz.bingYin": "BingYin",
      "jz.dingMao": "DingMao",
      "jz.wuChen": "WuChen",
      "jz.jiSi": "JiSi",
      "jz.gengWu": "GengWu",
      "jz.xinWei": "XinWei",
      "jz.renShen": "RenShen",
      "jz.guiYou": "GuiYou",
      "jz.jiaXu": "JiaXu",
      "jz.yiHai": "YiHai",
      "jz.bingZi": "BingZi",
      "jz.dingChou": "DingChou",
      "jz.wuYin": "WuYin",
      "jz.jiMao": "JiMao",
      "jz.gengChen": "GengChen",
      "jz.xinSi": "XinSi",
      "jz.renWu": "RenWu",
      "jz.guiWei": "GuiWei",
      "jz.jiaShen": "JiaShen",
      "jz.yiYou": "YiYou",
      "jz.bingXu": "BingXu",
      "jz.dingHai": "DingHai",
      "jz.wuZi": "WuZi",
      "jz.jiChou": "JiChou",
      "jz.gengYin": "GengYin",
      "jz.xinMao": "XinMao",
      "jz.renChen": "RenChen",
      "jz.guiSi": "GuiSi",
      "jz.jiaWu": "JiaWu",
      "jz.yiWei": "YiWei",
      "jz.bingShen": "BingShen",
      "jz.dingYou": "DingYou",
      "jz.wuXu": "WuXu",
      "jz.jiHai": "JiHai",
      "jz.gengZi": "GengZi",
      "jz.xinChou": "XinChou",
      "jz.renYin": "RenYin",
      "jz.guiMao": "GuiMao",
      "jz.jiaChen": "JiaChen",
      "jz.yiSi": "YiSi",
      "jz.bingWu": "BingWu",
      "jz.dingWei": "DingWei",
      "jz.wuShen": "WuShen",
      "jz.jiYou": "JiYou",
      "jz.gengXu": "GengXu",
      "jz.xinHai": "XinHai",
      "jz.renZi": "RenZi",
      "jz.guiChou": "GuiChou",
      "jz.jiaYin": "JiaYin",
      "jz.yiMao": "YiMao",
      "jz.bingChen": "BingChen",
      "jz.dingSi": "DingSi",
      "jz.wuWu": "WuWu",
      "jz.jiWei": "JiWei",
      "jz.gengShen": "GengShen",
      "jz.xinYou": "XinYou",
      "jz.renXu": "RenXu",
      "jz.guiHai": "GuiHai",
      "sx.rat": "Rat",
      "sx.ox": "Ox",
      "sx.tiger": "Tiger",
      "sx.rabbit": "Rabbit",
      "sx.dragon": "Dragon",
      "sx.snake": "Snake",
      "sx.horse": "Horse",
      "sx.goat": "Goat",
      "sx.monkey": "Monkey",
      "sx.rooster": "Rooster",
      "sx.dog": "Dog",
      "sx.pig": "Pig",
      "dw.long": "Dragon",
      "dw.niu": "Ox",
      "dw.gou": "Dog",
      "dw.yang": "Goat",
      "dw.tu": "Rabbit",
      "dw.shu": "Rat",
      "dw.ji": "Rooster",
      "dw.ma": "Horse",
      "dw.hu": "Tiger",
      "dw.zhu": "Pig",
      "dw.hou": "Monkey",
      "dw.she": "Snake",
      "dw.huLi": "Fox",
      "dw.yan": "Swallow",
      "dw.bao": "Leopard",
      "dw.yuan": "Ape",
      "dw.yin": "Earthworm",
      "dw.lu": "Deer",
      "dw.wu": "Crow",
      "dw.lang": "Wolf",
      "dw.fu": "Bat",
      "wx.jin": "Metal",
      "wx.mu": "Wood",
      "wx.shui": "Water",
      "wx.huo": "Fire",
      "wx.tu": "Earth",
      "wx.ri": "Sun",
      "wx.yue": "Moon",
      "n.zero": "0",
      "n.one": "1",
      "n.two": "2",
      "n.three": "3",
      "n.four": "4",
      "n.five": "5",
      "n.six": "6",
      "n.seven": "7",
      "n.eight": "8",
      "n.nine": "9",
      "n.ten": "10",
      "n.eleven": "11",
      "n.twelve": "12",
      "w.sun": "Sunday",
      "w.mon": "Monday",
      "w.tues": "Tuesday",
      "w.wed": "Wednesday",
      "w.thur": "Thursday",
      "w.fri": "Friday",
      "w.sat": "Saturday",
      "xz.aries": "Aries",
      "xz.taurus": "Taurus",
      "xz.gemini": "Gemini",
      "xz.cancer": "Cancer",
      "xz.leo": "Leo",
      "xz.virgo": "Virgo",
      "xz.libra": "Libra",
      "xz.scorpio": "Scorpio",
      "xz.sagittarius": "Sagittarius",
      "xz.capricornus": "Capricornus",
      "xz.aquarius": "Aquarius",
      "xz.pisces": "Pisces",
      "bg.qian": "Qian",
      "bg.kun": "Kun",
      "bg.zhen": "Zhen",
      "bg.xun": "Xun",
      "bg.kan": "Kan",
      "bg.li": "Li",
      "bg.gen": "Gen",
      "bg.dui": "Dui",
      "ps.center": "Center",
      "ps.dong": "East",
      "ps.nan": "South",
      "ps.xi": "West",
      "ps.bei": "North",
      "ps.zhong": "Center",
      "ps.zhengDong": "East",
      "ps.zhengNan": "South",
      "ps.zhengXi": "West",
      "ps.zhengBei": "North",
      "ps.dongBei": "Northeast",
      "ps.dongNan": "Southeast",
      "ps.xiBei": "Northwest",
      "ps.xiNan": "Southwest",
      "jq.dongZhi": "Winter Solstice",
      "jq.xiaoHan": "Lesser Cold",
      "jq.daHan": "Great Cold",
      "jq.liChun": "Spring Beginning",
      "jq.yuShui": "Rain Water",
      "jq.jingZhe": "Awakening from Hibernation",
      "jq.chunFen": "Spring Equinox",
      "jq.qingMing": "Fresh Green",
      "jq.guYu": "Grain Rain",
      "jq.liXia": "Beginning of Summer",
      "jq.xiaoMan": "Lesser Fullness",
      "jq.mangZhong": "Grain in Ear",
      "jq.xiaZhi": "Summer Solstice",
      "jq.xiaoShu": "Lesser Heat",
      "jq.daShu": "Greater Heat",
      "jq.liQiu": "Beginning of Autumn",
      "jq.chuShu": "End of Heat",
      "jq.baiLu": "White Dew",
      "jq.qiuFen": "Autumnal Equinox",
      "jq.hanLu": "Cold Dew",
      "jq.shuangJiang": "First Frost",
      "jq.liDong": "Beginning of Winter",
      "jq.xiaoXue": "Light Snow",
      "jq.daXue": "Heavy Snow",
      "sn.qingLong": "Azure Dragon",
      "sn.baiHu": "White Tiger",
      "sn.zhuQue": "Rosefinch",
      "sn.xuanWu": "Black Tortoise",
      "sn.tianEn": "Serene Grace",
      "sn.siShen": "Death",
      "sn.tianMa": "Pegasus",
      "sn.baLong": "Eight Dragon",
      "sn.jiuHu": "Nine Tiger",
      "sn.qiNiao": "Seven Bird",
      "sn.liuShe": "Six Snake",
      "s.none": "None",
      "s.goodLuck": "Good luck",
      "s.badLuck": "Bad luck",
      "s.yin": "Yin",
      "s.yang": "Yang",
      "s.white": "White",
      "s.black": "Black",
      "s.blue": "Blue",
      "s.green": "Green",
      "s.yellow": "Yellow",
      "s.red": "Red",
      "s.purple": "Purple",
      "jr.chuXi": "Chinese New Year's Eve",
      "jr.chunJie": "Luna New Year",
      "jr.yuanXiao": "Lantern Festival",
      "jr.duanWu": "Dragon Boat Festival",
      "jr.qiXi": "Begging Festival",
      "jr.zhongQiu": "Mid-Autumn Festival",
      "jr.laBa": "Laba Festival",
      "jr.yuanDan": "New Year's Day",
      "jr.qingRen": "Valentine's Day",
      "jr.fuNv": "Women's Day",
      "jr.xiaoFei": "Consumer Rights Day",
      "jr.zhiShu": "Arbor Day",
      "jr.wuYi": "International Worker's Day",
      "jr.erTong": "Children's Day",
      "jr.qingNian": "Youth Day",
      "jr.yuRen": "April Fools' Day",
      "jr.jianDang": "Party's Day",
      "jr.jianJun": "Army Day",
      "jr.jiaoShi": "Teachers' Day",
      "jr.guoQing": "National Day",
      "jr.wanShengYe": "All Saints' Eve",
      "jr.wanSheng": "All Saints' Day",
      "jr.pingAn": "Christmas Eve",
      "jr.shengDan": "Christmas Day",
      "ts.zhan": "At",
      "ts.hu": "Household",
      "ts.zao": "Cooker",
      "ts.dui": "Pestle",
      "ts.xi": "Habitat",
      "ts.win": "Window",
      "ts.fang": "Room",
      "ts.chuang": "Bed",
      "ts.lu": "Stove",
      "ts.mo": "Mill",
      "ts.chu": "Kitchen",
      "ts.ce": "Toilet",
      "ts.cang": "Depot",
      "ts.cangKu": "Depot",
      "ts.daMen": "Gate",
      "ts.men": "Door",
      "ts.tang": "Hall",
      "ly.xianSheng": "Win first",
      "ly.xianFu": "Lose first",
      "ly.youYin": "Friend's referral",
      "ly.foMie": "Buddhism's demise",
      "ly.daAn": "Great safety",
      "ly.chiKou": "Chikagoro",
      "yj.jiSi": "Sacrifice",
      "yj.qiFu": "Pray",
      "yj.qiuSi": "Seek heirs",
      "yj.kaiGuang": "Consecretion",
      "yj.suHui": "Paint sculptural",
      "yj.qiJiao": "Build altar",
      "yj.zhaiJiao": "Taoist rites",
      "yj.muYu": "Bathing",
      "yj.chouShen": "Reward gods",
      "yj.zaoMiao": "Build temple",
      "yj.siZhao": "Offer kitchen god",
      "yj.fenXiang": "Burn incense",
      "yj.xieTu": "Earth gratitude",
      "yj.chuHuo": "Expel the flame",
      "yj.diaoKe": "Carving",
      "yj.jiaQu": "Marriage",
      "yj.DingHun": "Engagement",
      "yj.naCai": "Proposing",
      "yj.wenMing": "Ask name",
      "yj.naXu": "Uxorilocal marriage",
      "yj.guiNing": "Visit parents",
      "yj.anChuang": "Bed placing",
      "yj.heZhang": "Make up accounts",
      "yj.guanJi": "Crowning adulthood",
      "yj.dingMeng": "Make alliance",
      "yj.jinRenKou": "Adopt",
      "yj.caiYi": "Dressmaking",
      "yj.wanMian": "Cosmeticsurgery",
      "yj.kaiRong": "Open face",
      "yj.xiuFen": "Grave repair",
      "yj.qiZuan": "Open coffin",
      "yj.poTu": "Break earth",
      "yj.anZang": "Burial",
      "yj.liBei": "Tombstone erecting",
      "yj.chengFu": "Formation of clothes",
      "yj.chuFu": "Mourning clothes removal",
      "yj.kaiShengFen": "Open grave",
      "yj.heShouMu": "Make coffin",
      "yj.ruLian": "Body placing",
      "yj.yiJiu": "Move coffin",
      "yj.puDu": "Save soul",
      "yj.ruZhai": "Enter house",
      "yj.anXiang": "Incenst placement",
      "yj.anMen": "Door placing",
      "yj.xiuZao": "Repair",
      "yj.qiJi": "Digging",
      "yj.dongTu": "Break ground",
      "yj.shangLiang": "Beam placing",
      "yj.shuZhu": "Erecting pillars",
      "yj.kaiJing": "Open pond and well",
      "yj.zuoBei": "Make pond and fill water",
      "yj.chaiXie": "Smash house",
      "yj.poWu": "Break house",
      "yj.huaiYuan": "Demolish",
      "yj.buYuan": "Mending",
      "yj.faMuZuoLiang": "Make beams",
      "yj.zuoZhao": "Make stove",
      "yj.jieChu": "Removal",
      "yj.kaiZhuYan": "Build beam",
      "yj.chuanPing": "Build door",
      "yj.gaiWuHeJi": "Cover house",
      "yj.kaiCe": "Open toilet",
      "yj.zaoCang": "Build depot",
      "yj.saiXue": "Block nest",
      "yj.pingZhi": "Repair roads",
      "yj.zaoQiao": "Build bridge",
      "yj.zuoCe": "Build toilet",
      "yj.zhuDi": "Fill",
      "yj.kaiChi": "Open pond",
      "yj.faMu": "Lumbering",
      "yj.kaiQu": "Canalization",
      "yj.jueJing": "Dig well",
      "yj.saoShe": "Sweep house",
      "yj.fangShui": "Drainage",
      "yj.zaoWu": "Build house",
      "yj.heJi": "Close ridge",
      "yj.zaoChuChou": "Livestock thickening",
      "yj.xiuMen": "Repair door",
      "yj.dingSang": "Fix stone",
      "yj.zuoLiang": "Beam construction",
      "yj.xiuShi": "Decorate wall",
      "yj.jiaMa": "Erect horse",
      "yj.kaiShi": "Opening",
      "yj.guaBian": "Hang plaque",
      "yj.naChai": "Accept wealth",
      "yj.qiuCai": "Seek wealth",
      "yj.kaiCang": "Open depot",
      "yj.maiChe": "Buy car",
      "yj.zhiChan": "Buy property",
      "yj.guYong": "Hire",
      "yj.chuHuoCai": "Delivery",
      "yj.anJiXie": "Build machine",
      "yj.zaoCheQi": "Build car",
      "yj.jingLuo": "Build loom",
      "yj.yunNiang": "Brew",
      "yj.zuoRan": "Dye",
      "yj.guZhu": "Cast",
      "yj.zaoChuan": "Build boat",
      "yj.geMi": "Harvest honey",
      "yj.zaiZhong": "Farming",
      "yj.quYu": "Fishing",
      "yj.jieWang": "Netting",
      "yj.muYang": "Graze",
      "yj.anDuiWei": "Build rub",
      "yj.xiYi": "Learn",
      "yj.ruXue": "Enter school",
      "yj.liFa": "Haircut",
      "yj.tanBing": "Visiting",
      "yj.jianGui": "Meet noble",
      "yj.chengChuan": "Ride boat",
      "yj.duShui": "Cross water",
      "yj.zhenJiu": "Acupuncture",
      "yj.chuXing": "Travel",
      "yj.yiXi": "Move",
      "yj.fenJu": "Live apart",
      "yj.TiTou": "Shave",
      "yj.zhengShou": "Manicure",
      "yj.naChu": "Feed livestock",
      "yj.buZhuo": "Catch",
      "yj.tianLie": "Hunt",
      "yj.jiaoNiuMa": "Train horse",
      "yj.huiQinYou": "Meet friends",
      "yj.fuRen": "Go post",
      "yj.qiuYi": "See doctor",
      "yj.zhiBing": "Treat",
      "yj.ciSong": "Litigation",
      "yj.qiJiDongTu": "Lay foundation",
      "yj.poWuHuaiYuan": "Demolish",
      "yj.gaiWu": "Build house",
      "yj.zaoCangKu": "Build depot",
      "yj.liQuanJiaoYi": "Covenant trade",
      "yj.jiaoYi": "Trade",
      "yj.liQuan": "Covenant",
      "yj.anJi": "Install machine",
      "yj.huiYou": "Meet friends",
      "yj.qiuYiLiaoBing": "Seek treatment",
      "yj.zhuShi": "Everything Sucks",
      "yj.yuShi": "Do nothing else",
      "yj.xingSang": "Funeral",
      "yj.duanYi": "Block ant hole",
      "yj.guiXiu": "Place beam",
      "xx.bi": "Finish",
      "xx.yi": "Wing",
      "xx.ji": "Sieve",
      "xx.kui": "Qui",
      "xx.gui": "Ghost",
      "xx.di": "Foundation",
      "xx.xu": "Virtual",
      "xx.wei": "Danger",
      "xx.zi": "Mouth",
      "xx.zhen": "Cross-bar",
      "xx.dou": "Fight",
      "xx.lou": "Weak",
      "xx.liu": "Willow",
      "xx.fang": "House",
      "xx.xin": "Heart",
      "xx.shi": "Room",
      "xx.can": "Join",
      "xx.jiao": "Horn",
      "xx.niu": "Ox",
      "xx.vei": "Stomach",
      "xx.xing": "Star",
      "xx.zhang": "Chang",
      "xx.tail": "Tail",
      "xx.qiang": "Wall",
      "xx.jing": "Well",
      "xx.kang": "Kang",
      "xx.nv": "Female",
      "xx.mao": "Mao",
      "sz.chun": "Spring",
      "sz.xia": "Summer",
      "sz.qiu": "Autumn",
      "sz.dong": "Winter",
      "yx.shuo": "New",
      "yx.eMeiXin": "New waxing",
      "yx.eMei": "Waxing",
      "yx.xi": "Evening",
      "yx.shangXian": "First quarter",
      "yx.jiuYe": "Nine night",
      "yx.night": "Night",
      "yx.jianYingTu": "Gibbous",
      "yx.xiaoWang": "Little full",
      "yx.wang": "Full",
      "yx.jianKuiTu": "Disseminating",
      "yx.xiaXian": "Third quarter",
      "yx.eMeiCan": "Waning waxing",
      "yx.can": "Waning",
      "yx.xiao": "Daybreak",
      "yx.hui": "Obscure",
      "ny.sangZhe": "Cudrania",
      "ny.baiLa": "Wax",
      "ny.yangLiu": "Willow",
      "ny.jinBo": "Foil",
      "ny.haiZhong": "Sea",
      "ny.daHai": "Ocean",
      "ny.shaZhong": "Sand",
      "ny.luZhong": "Stove",
      "ny.shanXia": "Piedmont",
      "ny.daLin": "Forest",
      "ny.pingDi": "Land",
      "ny.luPang": "Roadside",
      "ny.biShang": "Wall",
      "ny.jianFeng": "Blade",
      "ny.shanTou": "Hilltop",
      "ny.fuDeng": "Light",
      "ny.jianXia": "Valleyn",
      "ny.tianHe": "River",
      "ny.chengTou": "City",
      "ny.daYi": "Post",
      "ny.chaiChuan": "Ornaments",
      "ny.quanZhong": "Spring",
      "ny.daXi": "Stream",
      "ny.wuShang": "Roof",
      "ny.piLi": "Thunderbolt",
      "ny.tianShang": "Sky",
      "ny.songBo": "Coniferin",
      "ny.shiLiu": "Pomegranate",
      "ny.changLiu": "Flows"
    },
    vi: {
      "tg.jia": "Gi\xE1p",
      "tg.yi": "\u1EA4t",
      "tg.bing": "B\xEDnh",
      "tg.ding": "\u0110inh",
      "tg.wu": "M\u1EADu",
      "tg.ji": "K\u1EF7",
      "tg.geng": "Canh",
      "tg.xin": "T\xE2n",
      "tg.ren": "Nh\xE2m",
      "tg.gui": "Qu\xFD",
      "dz.zi": "T\xFD",
      "dz.chou": "S\u1EEDu",
      "dz.yin": "D\u1EA7n",
      "dz.mao": "M\xE3o",
      "dz.chen": "Th\xECn",
      "dz.si": "T\u1EF5",
      "dz.wu": "Ng\u1ECD",
      "dz.wei": "M\xF9i",
      "dz.shen": "Th\xE2n",
      "dz.you": "D\u1EADu",
      "dz.xu": "Tu\u1EA5t",
      "dz.hai": "H\u1EE3i",
      "zx.jian": "Ki\u1EBFn",
      "zx.chu": "Tr\u1EEB",
      "zx.man": "M\xE3n",
      "zx.ping": "B\xECnh",
      "zx.ding": "\u0110\u1ECBnh",
      "zx.zhi": "Ch\u1EA5p",
      "zx.po": "Ph\xE1",
      "zx.wei": "Nguy",
      "zx.cheng": "Th\xE0nh",
      "zx.shou": "Thu",
      "zx.kai": "Khai",
      "zx.bi": "B\u1EBF",
      "sx.rat": "Chu\u1ED9t",
      "sx.ox": "Tr\xE2u",
      "sx.tiger": "H\u1ED5",
      "sx.rabbit": "M\xE8o",
      "sx.dragon": "R\u1ED3ng",
      "sx.snake": "R\u1EAFn",
      "sx.horse": "Ng\u1EF1a",
      "sx.goat": "D\xEA",
      "sx.monkey": "Kh\u1EC9",
      "sx.rooster": "G\xE0",
      "sx.dog": "Ch\xF3",
      "sx.pig": "L\u1EE3n",
      "wx.jin": "Kim",
      "wx.mu": "M\u1ED9c",
      "wx.shui": "Th\u1EE7y",
      "wx.huo": "H\u1ECFa",
      "wx.tu": "Th\u1ED5",
      "wx.ri": "M\u1EB7t tr\u1EDDi",
      "wx.yue": "M\u1EB7t tr\u0103ng",
      "n.zero": "Kh\xF4ng",
      "n.one": "M\u1ED9t",
      "n.two": "Hai",
      "n.three": "Ba",
      "n.four": "B\u1ED1n",
      "n.five": "N\u0103m",
      "n.six": "S\xE1u",
      "n.seven": "B\u1EA3y",
      "n.eight": "T\xE1m",
      "n.nine": "Ch\xEDn",
      "n.ten": "M\u01B0\u1EDDi",
      "d.one": "M\xF9ng 1",
      "d.two": "M\xF9ng 2",
      "d.three": "M\xF9ng 3",
      "d.four": "M\xF9ng 4",
      "d.five": "M\xF9ng 5",
      "d.six": "M\xF9ng 6",
      "d.seven": "M\xF9ng 7",
      "d.eight": "M\xF9ng 8",
      "d.nine": "M\xF9ng 9",
      "d.ten": "M\xF9ng 10",
      "d.eleven": "Ng\xE0y 11",
      "d.twelve": "Ng\xE0y 12",
      "d.thirteen": "Ng\xE0y 13",
      "d.fourteen": "Ng\xE0y 14",
      "d.fifteen": "Ng\xE0y 15",
      "d.sixteen": "Ng\xE0y 16",
      "d.seventeen": "Ng\xE0y 17",
      "d.eighteen": "Ng\xE0y 18",
      "d.nighteen": "Ng\xE0y 19",
      "d.twenty": "Ng\xE0y 20",
      "d.thirty": "Ng\xE0y 30",
      "m.one": "Th\xE1ng Gi\xEAng",
      "m.two": "Th\xE1ng Hai",
      "m.three": "Th\xE1ng Ba",
      "m.four": "Th\xE1ng T\u01B0",
      "m.five": "Th\xE1ng N\u0103m",
      "m.six": "Th\xE1ng S\xE1u",
      "m.seven": "Th\xE1ng B\u1EA3y",
      "m.eight": "Th\xE1ng T\xE1m",
      "m.nine": "Th\xE1ng Ch\xEDn",
      "m.ten": "Th\xE1ng M\u01B0\u1EDDi",
      "m.eleven": "Th\xE1ng M\u01B0\u1EDDi M\u1ED9t",
      "m.twelve": "Th\xE1ng Ch\u1EA1p",
      "w.sun": "Ch\u1EE7 Nh\u1EADt",
      "w.mon": "Th\u1EE9 Hai",
      "w.tues": "Th\u1EE9 Ba",
      "w.wed": "Th\u1EE9 T\u01B0",
      "w.thur": "Th\u1EE9 N\u0103m",
      "w.fri": "Th\u1EE9 S\xE1u",
      "w.sat": "Th\u1EE9 B\u1EA3y",
      "sz.chun": "Xu\xE2n",
      "sz.xia": "H\u1EA1",
      "sz.qiu": "Thu",
      "sz.dong": "\u0110\xF4ng",
      "ps.center": "Trung t\xE2m",
      "ps.dong": "\u0110\xF4ng",
      "ps.nan": "Nam",
      "ps.xi": "T\xE2y",
      "ps.bei": "B\u1EAFc",
      "ps.zhong": "Trung cung",
      "ps.zhengDong": "Ch\xEDnh \u0110\xF4ng",
      "ps.zhengNan": "Ch\xEDnh Nam",
      "ps.zhengXi": "Ch\xEDnh T\xE2y",
      "ps.zhengBei": "Ch\xEDnh B\u1EAFc",
      "jq.dongZhi": "\u0110\xF4ng ch\xED",
      "jq.xiaoHan": "Ti\u1EC3u h\xE0n",
      "jq.daHan": "\u0110\u1EA1i h\xE0n",
      "jq.liChun": "L\u1EADp xu\xE2n",
      "jq.yuShui": "V\u0169 th\u1EE7y",
      "jq.jingZhe": "Kinh tr\u1EADp",
      "jq.chunFen": "Xu\xE2n ph\xE2n",
      "jq.qingMing": "Thanh minh",
      "jq.guYu": "C\u1ED1c v\u0169",
      "jq.liXia": "L\u1EADp h\u1EA1",
      "jq.xiaoMan": "Ti\u1EC3u m\xE3n",
      "jq.mangZhong": "Mang ch\u1EE7ng",
      "jq.xiaZhi": "H\u1EA1 ch\xED",
      "jq.xiaoShu": "Ti\u1EC3u th\u1EED",
      "jq.daShu": "\u0110\u1EA1i th\u1EED",
      "jq.liQiu": "L\u1EADp thu",
      "jq.chuShu": "X\u1EED th\u1EED",
      "jq.baiLu": "B\u1EA1ch l\u1ED9",
      "jq.qiuFen": "Thu ph\xE2n",
      "jq.hanLu": "H\xE0n l\u1ED9",
      "jq.shuangJiang": "S\u01B0\u01A1ng gi\xE1ng",
      "jq.liDong": "L\u1EADp \u0111\xF4ng",
      "jq.xiaoXue": "Ti\u1EC3u tuy\u1EBFt",
      "jq.daXue": "\u0110\u1EA1i tuy\u1EBFt",
      "jr.chuXi": "\u0110\xEAm Giao th\u1EEBa",
      "jr.chunJie": "T\u1EBFt Nguy\xEAn \u0110\xE1n",
      "jr.yuanXiao": "T\u1EBFt Nguy\xEAn Ti\xEAu",
      "jr.duanWu": "T\u1EBFt \u0110oan Ng\u1ECD",
      "jr.qiXi": "L\u1EC5 Th\u1EA5t T\u1ECBch",
      "jr.zhongQiu": "T\u1EBFt Trung Thu",
      "jr.chongYang": "T\u1EBFt Tr\xF9ng C\u1EEDu",
      "jr.laBa": "T\u1EBFt L\u1EA1p B\xE1t",
      "jr.yuanDan": "T\u1EBFt D\u01B0\u01A1ng l\u1ECBch",
      "jr.qingRen": "L\u1EC5 t\xECnh nh\xE2n",
      "jr.fuNv": "Ng\xE0y Qu\u1ED1c t\u1EBF Ph\u1EE5 n\u1EEF",
      "jr.zhiShu": "Ng\xE0y tr\u1ED3ng c\xE2y",
      "jr.wuYi": "Ng\xE0y Qu\u1ED1c t\u1EBF Lao \u0111\u1ED9ng",
      "jr.qingNian": "Ng\xE0y Thanh ni\xEAn",
      "jr.erTong": "Ng\xE0y Qu\u1ED1c t\u1EBF Thi\u1EBFu nhi",
      "jr.yuRen": "Ng\xE0y C\xE1 th\xE1ng T\u01B0",
      "jr.jiaoShi": "Ng\xE0y Nh\xE0 gi\xE1o",
      "jr.guoQing": "Qu\u1ED1c kh\xE1nh",
      "jr.shengDan": "Gi\xE1ng sinh"
    }
  };
  static _OBJS = {
    LunarUtil,
    SolarUtil,
    TaoUtil,
    FotoUtil,
    NineStarUtil
  };
  static _DICT_STRING = {
    LunarUtil: {
      TIAN_SHEN_TYPE: {},
      TIAN_SHEN_TYPE_LUCK: {},
      XIU_LUCK: {},
      LU: {},
      XIU: {},
      SHA: {},
      POSITION_DESC: {},
      NAYIN: {},
      WU_XING_GAN: {},
      WU_XING_ZHI: {},
      SHOU: {},
      GONG: {},
      FESTIVAL: {},
      ZHENG: {},
      ANIMAL: {},
      SHI_SHEN: {},
      XIU_SONG: {}
    },
    SolarUtil: {
      FESTIVAL: {}
    },
    TaoUtil: {
      BA_HUI: {},
      BA_JIE: {}
    }
  };
  static _DICT_NUMBER = {
    LunarUtil: {
      ZHI_TIAN_SHEN_OFFSET: {},
      CHANG_SHENG_OFFSET: {}
    }
  };
  static _DICT_ARRAY = {
    LunarUtil: {
      ZHI_HIDE_GAN: {}
    }
  };
  static _ARRAYS = {
    LunarUtil: {
      GAN: [],
      ZHI: [],
      JIA_ZI: [],
      ZHI_XING: [],
      XUN: [],
      XUN_KONG: [],
      CHONG: [],
      CHONG_GAN: [],
      CHONG_GAN_TIE: [],
      HE_GAN_5: [],
      HE_ZHI_6: [],
      SHENGXIAO: [],
      NUMBER: [],
      POSITION_XI: [],
      POSITION_YANG_GUI: [],
      POSITION_YIN_GUI: [],
      POSITION_FU: [],
      POSITION_FU_2: [],
      POSITION_CAI: [],
      POSITION_TAI_SUI_YEAR: [],
      POSITION_GAN: [],
      POSITION_ZHI: [],
      JIE_QI: [],
      JIE_QI_IN_USE: [],
      TIAN_SHEN: [],
      SHEN_SHA: [],
      PENGZU_GAN: [],
      PENGZU_ZHI: [],
      MONTH_ZHI: [],
      CHANG_SHENG: [],
      HOU: [],
      WU_HOU: [],
      POSITION_TAI_DAY: [],
      POSITION_TAI_MONTH: [],
      YI_JI: [],
      LIU_YAO: [],
      MONTH: [],
      SEASON: [],
      DAY: [],
      YUE_XIANG: []
    },
    SolarUtil: {
      WEEK: [],
      XINGZUO: []
    },
    TaoUtil: {
      AN_WU: []
    },
    FotoUtil: {
      XIU_27: []
    },
    NineStarUtil: {
      NUMBER: [],
      WU_XING: [],
      POSITION: [],
      LUCK_XUAN_KONG: [],
      YIN_YANG_QI_MEN: [],
      COLOR: []
    }
  };
  static updateArray(c) {
    const v = I18n._ARRAYS[c];
    const o = I18n._OBJS[c];
    for (let k in v) {
      const arr = v[k];
      for (let i = 0, j = arr.length; i < j; i++) {
        o[k][i] = arr[i].replace(/{(.[^}]*)}/g, ($0, $1) => {
          return I18n.getMessage($1);
        });
      }
    }
  }
  static updateStringDictionary(c) {
    const v = I18n._DICT_STRING[c];
    const o = I18n._OBJS[c];
    for (let k in v) {
      const dict = v[k];
      for (let key in dict) {
        const i = key.replace(/{(.[^}]*)}/g, ($0, $1) => {
          return I18n.getMessage($1);
        });
        o[k][i] = dict[key].replace(/{(.[^}]*)}/g, ($0, $1) => {
          return I18n.getMessage($1);
        });
      }
    }
  }
  static updateNumberDictionary(c) {
    const v = I18n._DICT_NUMBER[c];
    const o = I18n._OBJS[c];
    for (let k in v) {
      const dict = v[k];
      for (let key in dict) {
        const i = key.replace(/{(.[^}]*)}/g, ($0, $1) => {
          return I18n.getMessage($1);
        });
        o[k][i] = dict[key];
      }
    }
  }
  static updateArrayDictionary(c) {
    const v = I18n._DICT_ARRAY[c];
    const o = I18n._OBJS[c];
    for (let k in v) {
      const dict = v[k];
      for (let key in dict) {
        const x = key.replace(/{(.[^}]*)}/g, ($0, $1) => {
          return I18n.getMessage($1);
        });
        const arr = dict[key];
        for (let i = 0, j = arr.length; i < j; i++) {
          arr[i] = arr[i].replace(/{(.[^}]*)}/g, ($0, $1) => {
            return I18n.getMessage($1);
          });
        }
        o[k][x] = arr;
      }
    }
  }
  static update() {
    for (let c in I18n._ARRAYS) {
      I18n.updateArray(c);
    }
    for (let c in I18n._DICT_STRING) {
      I18n.updateStringDictionary(c);
    }
    for (let c in I18n._DICT_NUMBER) {
      I18n.updateNumberDictionary(c);
    }
    for (let c in I18n._DICT_ARRAY) {
      I18n.updateArrayDictionary(c);
    }
  }
  static setMessages(lang, messages) {
    if (!messages) {
      return;
    }
    if (!I18n._MESSAGES[lang]) {
      I18n._MESSAGES[lang] = {};
    }
    for (const key in messages) {
      I18n._MESSAGES[lang][key] = messages[key];
    }
    I18n.update();
  }
  static getMessage(key) {
    let s = I18n._MESSAGES[I18n._LANG][key];
    if (void 0 == s) {
      s = I18n._MESSAGES[I18n._DEFAULT_LANG][key];
    }
    if (void 0 == s) {
      s = key;
    }
    return s;
  }
  static setLanguage(lang) {
    if (I18n._MESSAGES[lang]) {
      I18n._LANG = lang;
      I18n.update();
    }
  }
  static getLanguage() {
    return I18n._LANG;
  }
  static initArray(c) {
    const v = I18n._ARRAYS[c];
    const o = I18n._OBJS[c];
    for (let k in v) {
      v[k].length = 0;
      const arr = o[k];
      for (let i = 0, j = arr.length; i < j; i++) {
        v[k].push(arr[i]);
      }
    }
  }
  static initArrayDictionary(c) {
    const v = I18n._DICT_ARRAY[c];
    const o = I18n._OBJS[c];
    for (let k in v) {
      const dict = o[k];
      for (let key in dict) {
        v[k][key] = dict[key];
      }
    }
  }
  static initStringDictionary(c) {
    const v = I18n._DICT_STRING[c];
    const o = I18n._OBJS[c];
    for (let k in v) {
      const dict = o[k];
      for (let key in dict) {
        v[k][key] = dict[key];
      }
    }
  }
  static initNumberDictionary(c) {
    const v = I18n._DICT_NUMBER[c];
    const o = I18n._OBJS[c];
    for (let k in v) {
      const dict = o[k];
      for (let key in dict) {
        v[k][key] = dict[key];
      }
    }
  }
  static init() {
    if (I18n._INIT) {
      return;
    }
    I18n._INIT = true;
    for (let c in I18n._ARRAYS) {
      I18n.initArray(c);
    }
    for (let c in I18n._DICT_STRING) {
      I18n.initStringDictionary(c);
    }
    for (let c in I18n._DICT_NUMBER) {
      I18n.initNumberDictionary(c);
    }
    for (let c in I18n._DICT_ARRAY) {
      I18n.initArrayDictionary(c);
    }
    I18n.setLanguage(I18n._DEFAULT_LANG);
  }
}
