import { Solar } from './Solar';
import { JieQi } from './JieQi';
import { EightChar } from './EightChar';
import { NineStar } from './NineStar';
import { ShuJiu } from './ShuJiu';
import { Fu } from './Fu';
import { LunarYear } from './LunarYear';
import { LunarTime } from './LunarTime';
import { Foto } from './Foto';
import { Tao } from './Tao';
export declare class Lunar {
    private _lang;
    private readonly _year;
    private readonly _month;
    private readonly _day;
    private readonly _hour;
    private readonly _minute;
    private readonly _second;
    private readonly _timeGanIndex;
    private readonly _timeZhiIndex;
    private readonly _dayGanIndex;
    private readonly _dayZhiIndex;
    private readonly _dayGanIndexExact;
    private readonly _dayZhiIndexExact;
    private readonly _dayGanIndexExact2;
    private readonly _dayZhiIndexExact2;
    private readonly _monthGanIndex;
    private readonly _monthZhiIndex;
    private readonly _monthGanIndexExact;
    private readonly _monthZhiIndexExact;
    private readonly _yearGanIndex;
    private readonly _yearZhiIndex;
    private readonly _yearGanIndexByLiChun;
    private readonly _yearZhiIndexByLiChun;
    private readonly _yearGanIndexExact;
    private readonly _yearZhiIndexExact;
    private readonly _weekIndex;
    private _jieQi;
    private _jieQiList;
    private readonly _solar;
    private readonly _eightChar;
    static fromYmd(lunarYear: number, lunarMonth: number, lunarDay: number): Lunar;
    static fromYmdHms(lunarYear: number, lunarMonth: number, lunarDay: number, hour: number, minute: number, second: number): Lunar;
    static fromSolar(solar: Solar): Lunar;
    static fromDate(date: Date): Lunar;
    private static _computeJieQi;
    private static _computeYear;
    private static _computeMonth;
    private static _computeDay;
    private static _computeTime;
    private static _computeWeek;
    private static _compute;
    constructor(year: number, month: number, day: number, hour: number, minute: number, second: number, solar: Solar, ly: LunarYear);
    getYear(): number;
    getMonth(): number;
    getDay(): number;
    getHour(): number;
    getMinute(): number;
    getSecond(): number;
    getTimeGanIndex(): number;
    getTimeZhiIndex(): number;
    getDayGanIndex(): number;
    getDayZhiIndex(): number;
    getMonthGanIndex(): number;
    getMonthZhiIndex(): number;
    getYearGanIndex(): number;
    getYearZhiIndex(): number;
    getYearGanIndexByLiChun(): number;
    getYearZhiIndexByLiChun(): number;
    getDayGanIndexExact(): number;
    getDayZhiIndexExact(): number;
    getDayGanIndexExact2(): number;
    getDayZhiIndexExact2(): number;
    getMonthGanIndexExact(): number;
    getMonthZhiIndexExact(): number;
    getYearGanIndexExact(): number;
    getYearZhiIndexExact(): number;
    getGan(): string;
    getZhi(): string;
    getYearGan(): string;
    getYearGanByLiChun(): string;
    getYearGanExact(): string;
    getYearZhi(): string;
    getYearZhiByLiChun(): string;
    getYearZhiExact(): string;
    getYearInGanZhi(): string;
    getYearInGanZhiByLiChun(): string;
    getYearInGanZhiExact(): string;
    getMonthGan(): string;
    getMonthGanExact(): string;
    getMonthZhi(): string;
    getMonthZhiExact(): string;
    getMonthInGanZhi(): string;
    getMonthInGanZhiExact(): string;
    getDayGan(): string;
    getDayGanExact(): string;
    getDayGanExact2(): string;
    getDayZhi(): string;
    getDayZhiExact(): string;
    getDayZhiExact2(): string;
    getDayInGanZhi(): string;
    getDayInGanZhiExact(): string;
    getDayInGanZhiExact2(): string;
    getTimeGan(): string;
    getTimeZhi(): string;
    getTimeInGanZhi(): string;
    getShengxiao(): string;
    getYearShengXiao(): string;
    getYearShengXiaoByLiChun(): string;
    getYearShengXiaoExact(): string;
    getMonthShengXiao(): string;
    getMonthShengXiaoExact(): string;
    getDayShengXiao(): string;
    getTimeShengXiao(): string;
    getYearInChinese(): string;
    getMonthInChinese(): string;
    getDayInChinese(): string;
    getPengZuGan(): string;
    getPengZuZhi(): string;
    getPositionXi(): string;
    getPositionXiDesc(): string;
    getPositionYangGui(): string;
    getPositionYangGuiDesc(): string;
    getPositionYinGui(): string;
    getPositionYinGuiDesc(): string;
    getPositionFu(): string;
    getPositionFuDesc(): string;
    getPositionCai(): string;
    getPositionCaiDesc(): string;
    getDayPositionXi(): string;
    getDayPositionXiDesc(): string;
    getDayPositionYangGui(): string;
    getDayPositionYangGuiDesc(): string;
    getDayPositionYinGui(): string;
    getDayPositionYinGuiDesc(): string;
    getDayPositionFu(sect?: number): string;
    getDayPositionFuDesc(sect?: number): string;
    getDayPositionCai(): string;
    getDayPositionCaiDesc(): string;
    getTimePositionXi(): string;
    getTimePositionXiDesc(): string;
    getTimePositionYangGui(): string;
    getTimePositionYangGuiDesc(): string;
    getTimePositionYinGui(): string;
    getTimePositionYinGuiDesc(): string;
    getTimePositionFu(sect?: number): string;
    getTimePositionFuDesc(sect?: number): string;
    getTimePositionCai(): string;
    getTimePositionCaiDesc(): string;
    getYearPositionTaiSui(sect?: number): string;
    getYearPositionTaiSuiDesc(sect?: number): string;
    getMonthPositionTaiSui(sect?: number): string;
    getMonthPositionTaiSuiDesc(sect?: number): string;
    getDayPositionTaiSui(sect?: number): string;
    getDayPositionTaiSuiDesc(sect?: number): string;
    getChong(): string;
    getChongGan(): string;
    getChongGanTie(): string;
    getChongShengXiao(): string;
    getChongDesc(): string;
    getSha(): string;
    getDayChong(): string;
    getDayChongGan(): string;
    getDayChongGanTie(): string;
    getDayChongShengXiao(): string;
    getDayChongDesc(): string;
    getDaySha(): string;
    getTimeChong(): string;
    getTimeChongGan(): string;
    getTimeChongGanTie(): string;
    getTimeChongShengXiao(): string;
    getTimeChongDesc(): string;
    getTimeSha(): string;
    getYearNaYin(): string;
    getMonthNaYin(): string;
    getDayNaYin(): string;
    getTimeNaYin(): string;
    getSeason(): string;
    private static _convertJieQi;
    private checkLang;
    getJie(): string;
    getQi(): string;
    getJieQi(): string;
    getWeek(): number;
    getWeekInChinese(): string;
    getXiu(): string;
    getXiuLuck(): string;
    getXiuSong(): string;
    getZheng(): string;
    getAnimal(): string;
    getGong(): string;
    getShou(): string;
    getFestivals(): string[];
    getOtherFestivals(): string[];
    getBaZi(): string[];
    getBaZiWuXing(): string[];
    getBaZiNaYin(): string[];
    getBaZiShiShenGan(): string[];
    getBaZiShiShenZhi(): string[];
    getBaZiShiShenYearZhi(): string[];
    getBaZiShiShenMonthZhi(): string[];
    getBaZiShiShenDayZhi(): string[];
    getBaZiShiShenTimeZhi(): string[];
    getZhiXing(): string;
    getDayTianShen(): string;
    getTimeTianShen(): string;
    getDayTianShenType(): string;
    getTimeTianShenType(): string;
    getDayTianShenLuck(): string;
    getTimeTianShenLuck(): string;
    getDayPositionTai(): string;
    getMonthPositionTai(): string;
    getDayYi(sect?: number): string[];
    getDayJi(sect?: number): string[];
    getDayJiShen(): string[];
    getDayXiongSha(): string[];
    getTimeYi(): string[];
    getTimeJi(): string[];
    getYueXiang(): string;
    private _getYearNineStar;
    getYearNineStar(sect?: number): NineStar;
    getMonthNineStar(sect?: number): NineStar;
    private getJieQiSolar;
    getDayNineStar(): NineStar;
    getTimeNineStar(): NineStar;
    getSolar(): Solar;
    getJieQiTable(): {
        [key: string]: Solar;
    };
    getJieQiList(): string[];
    getNextJie(wholeDay?: boolean): JieQi;
    getPrevJie(wholeDay?: boolean): JieQi;
    getNextQi(wholeDay?: boolean): JieQi;
    getPrevQi(wholeDay?: boolean): JieQi;
    getNextJieQi(wholeDay?: boolean): JieQi;
    getPrevJieQi(wholeDay?: boolean): JieQi;
    private getNearJieQi;
    getCurrentJieQi(): JieQi | null;
    getCurrentJie(): JieQi | null;
    getCurrentQi(): JieQi | null;
    getEightChar(): EightChar;
    next(days: number): Lunar;
    getYearXun(): string;
    getMonthXun(): string;
    getDayXun(): string;
    getTimeXun(): string;
    getYearXunByLiChun(): string;
    getYearXunExact(): string;
    getMonthXunExact(): string;
    getDayXunExact(): string;
    getDayXunExact2(): string;
    getYearXunKong(): string;
    getMonthXunKong(): string;
    getDayXunKong(): string;
    getTimeXunKong(): string;
    getYearXunKongByLiChun(): string;
    getYearXunKongExact(): string;
    getMonthXunKongExact(): string;
    getDayXunKongExact(): string;
    getDayXunKongExact2(): string;
    toString(): string;
    toFullString(): string;
    getShuJiu(): ShuJiu | null;
    getFu(): Fu | null;
    getLiuYao(): string;
    getWuHou(): string;
    getHou(): string;
    getDayLu(): string;
    getTime(): LunarTime;
    getTimes(): LunarTime[];
    getFoto(): Foto;
    getTao(): Tao;
}
