export declare class LunarUtil {
    static BASE_MONTH_ZHI_INDEX: number;
    static XUN: string[];
    static XUN_KONG: string[];
    static CHANG_SHENG: string[];
    static MONTH_ZHI: string[];
    static JIE_QI: string[];
    static JIE_QI_IN_USE: string[];
    static LIU_YAO: string[];
    static HOU: string[];
    static WU_HOU: string[];
    static GAN: string[];
    static POSITION_XI: string[];
    static POSITION_YANG_GUI: string[];
    static POSITION_YIN_GUI: string[];
    static POSITION_FU: string[];
    static POSITION_FU_2: string[];
    static POSITION_CAI: string[];
    static POSITION_TAI_SUI_YEAR: string[];
    static POSITION_GAN: string[];
    static POSITION_ZHI: string[];
    static POSITION_TAI_DAY: string[];
    static POSITION_TAI_MONTH: string[];
    static ZHI: string[];
    static ZHI_XING: string[];
    static JIA_ZI: string[];
    static CHANG_SHENG_OFFSET: {
        [key: string]: number;
    };
    static TIAN_SHEN: string[];
    static ZHI_TIAN_SHEN_OFFSET: {
        [key: string]: number;
    };
    static TIAN_SHEN_TYPE: {
        [key: string]: string;
    };
    static TIAN_SHEN_TYPE_LUCK: {
        [key: string]: string;
    };
    static LU: {
        [key: string]: string;
    };
    static PENGZU_GAN: string[];
    static PENGZU_ZHI: string[];
    static NUMBER: string[];
    static MONTH: string[];
    static SEASON: string[];
    static SHENGXIAO: string[];
    static DAY: string[];
    static YUE_XIANG: string[];
    static XIU: {
        [key: string]: string;
    };
    static XIU_LUCK: {
        [key: string]: string;
    };
    static XIU_SONG: {
        [key: string]: string;
    };
    static ZHENG: {
        [key: string]: string;
    };
    static ANIMAL: {
        [key: string]: string;
    };
    static GONG: {
        [key: string]: string;
    };
    static SHOU: {
        [key: string]: string;
    };
    static FESTIVAL: {
        [key: string]: string;
    };
    static OTHER_FESTIVAL: {
        [key: string]: string[];
    };
    static CHONG: string[];
    static CHONG_GAN: string[];
    static CHONG_GAN_TIE: string[];
    static CHONG_GAN_4: string[];
    static HE_GAN_5: string[];
    static HE_ZHI_6: string[];
    static SHA: {
        [key: string]: string;
    };
    static POSITION_DESC: {
        [key: string]: string;
    };
    static NAYIN: {
        [key: string]: string;
    };
    static WU_XING_GAN: {
        [key: string]: string;
    };
    static WU_XING_ZHI: {
        [key: string]: string;
    };
    static SHI_SHEN: {
        [key: string]: string;
    };
    static ZHI_HIDE_GAN: {
        [key: string]: string[];
    };
    private static YI_JI;
    private static DAY_YI_JI;
    private static TIME_YI_JI;
    private static SHEN_SHA;
    private static DAY_SHEN_SHA;
    static getTimeZhiIndex(hm: string): number;
    static convertTime(hm: string): string;
    static getJiaZiIndex(ganZhi: string): number;
    static hex(n: number): string;
    static getDayYi(monthGanZhi: string, dayGanZhi: string): string[];
    static getDayJi(monthGanZhi: string, dayGanZhi: string): string[];
    static getDayJiShen(lunarMonth: number, dayGanZhi: string): string[];
    static getDayXiongSha(lunarMonth: number, dayGanZhi: string): string[];
    static getTimeYi(dayGanZhi: string, timeGanZhi: string): string[];
    static getTimeJi(dayGanZhi: string, timeGanZhi: string): string[];
    static getXunIndex(ganZhi: string): number;
    static getXun(ganZhi: string): string;
    static getXunKong(ganZhi: string): string;
    static find(s: string, arr: Array<string>): {
        index: number;
        value: string;
    } | null;
    static index(name: string, names: Array<string>, offset: number): number;
}
