import { LunarMonth } from './LunarMonth';
import { NineStar } from './NineStar';
export declare class LunarYear {
    private readonly _year;
    private readonly _ganIndex;
    private readonly _zhiIndex;
    private readonly _months;
    private readonly _jieQiJulianDays;
    static YUAN: string[];
    static YUN: string[];
    private static _LEAP_11;
    private static _LEAP_12;
    private static _CACHE_YEAR;
    static fromYear(lunarYear: number): LunarYear;
    constructor(lunarYear: number);
    private compute;
    getYear(): number;
    getGanIndex(): number;
    getZhiIndex(): number;
    getGan(): string;
    getZhi(): string;
    getGanZhi(): string;
    getJieQiJulianDays(): number[];
    getDayCount(): number;
    getMonths(): LunarMonth[];
    getMonthsInYear(): LunarMonth[];
    getMonth(lunarMonth: number): LunarMonth | null;
    getLeapMonth(): number;
    toString(): string;
    toFullString(): string;
    private _getZaoByGan;
    private _getZaoByZhi;
    getTouLiang(): string;
    getCaoZi(): string;
    getGengTian(): string;
    getHuaShou(): string;
    getZhiShui(): string;
    getTuoGu(): string;
    getQiangMi(): string;
    getKanCan(): string;
    getGongZhu(): string;
    getJiaTian(): string;
    getFenBing(): string;
    getDeJin(): string;
    getRenBing(): string;
    getRenChu(): string;
    getYuan(): string;
    getYun(): string;
    getNineStar(): NineStar;
    getPositionXi(): string;
    getPositionXiDesc(): string;
    getPositionYangGui(): string;
    getPositionYangGuiDesc(): string;
    getPositionYinGui(): string;
    getPositionYinGuiDesc(): string;
    getPositionFu(sect?: number): string;
    getPositionFuDesc(sect?: number): string;
    getPositionCai(): string;
    getPositionCaiDesc(): string;
    getPositionTaiSui(): string;
    getPositionTaiSuiDesc(): string;
    next(n: number): LunarYear;
}
